using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Threading;
using System.Windows.Forms;
using System.Data;
using System.Runtime.InteropServices;

namespace WindowsApplication1
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
        // Constant Definitions for DLL Calls
		const int VC_InitSystem =0;
		const int VC_DisplayVideo= 1;
		const int VC_Freeze =  2;
		const int VC_NoVideoDisplay= 3;
		const int VC_LiveCapture =4;
		const int VC_SetFlashIrisLevel= 5;
		const int VC_FastCapture=200;
		const int VC_SendWindowHandle = 6;
		const int VC_FlashCapture =7;
		const int VC_ScaleCapturedImage=18;

		const int VC_TiltUp = 8;
		const int VC_TiltUpSlow = 218;
		const int VC_TiltUpFast = 224;

		const int VC_TiltDown= 9;
		const int VC_TiltDownSlow= 219;
		const int VC_TiltDownFast= 225;


		const int VC_PanLeft= 10;
		const int VC_PanLeftSlow= 220;
		const int VC_PanLeftFast= 226;		
		
		
		const int VC_PanRight =11;
		const int VC_PanRightSlow =221;
		const int VC_PanRightFast =227;
		
		const int VC_ZoomIn= 13;
		const int VC_ZoomInSlow= 222;
		const int VC_ZoomInFast= 228;

		
		const int VC_ZoomOut =14;
		const int VC_ZoomOutSlow =223;
		const int VC_ZoomOutFast =229;

		const int VC_PanTiltStop =12;
		const int VC_ZoomStop =15;

		const int VC_SaveIniFile = 17;
		const int VC_CloseCard = 20;

		const int VC_LiveIrisUp= 42;
		const int VC_LiveIrisDown =43;
		const int VC_SetLiveBrightness=132;
		const int VC_ReturnLiveBrightness=133;



		const int VC_ReturnLiveRed= 31;
		const int VC_ReturnLiveBlue =32;
		const int VC_ReturnLiveColor= 33;
		const int VC_ReturnFlashRed =34;
		const int VC_ReturnFlashBlue =35;
		const int VC_ReturnFlashColor= 36;
		const int VC_ReturnFlashIris= 39;
		const int  VC_ReturnCaptureSharpness = 130;
		const int  VC_ReturnFrameGrabberSharpness= 131;
		const int  VC_ReturnCroppingWidth = 152;
		const int  VC_ReturnCroppingHeight= 153;
		const int  VC_ReturnFlashColorCorrectionType= 157;
		const int  VC_ReturnAutoWhite = 134;
		const int  VC_ReturnRedPaint =  135;
		const int  VC_ReturnBluePaint = 136;

		const int VC_SetRedLive= 110;
		const int VC_SetBlueLive= 111;
		const int VC_SetColorLive= 112;
		const int VC_SetRedFlash =113;
		const int VC_SetBlueFlash= 114;
		const int VC_SetColorFlash =115;
		const int VC_AutoWhite=118; //New Command Added on 4-1-06
        const int VC_AccurateAutoWhite = 125; // Accurate/Manual AutoWhite
		const int VC_SetFlashColorCorrectionType=119;// Set for different types of lighting
		
		const int VC_SetFrameGrabberSharpness= 120;
		

		const int VC_SetPreviewDefaults = 27;
		const int VC_SetFlashDefaults = 28;

		const int VC_SetCropParameters=156;

		const int VC_ReadZoomPosition=300;
		const int VC_ReadPanPosition=301;
		const int VC_ReadTiltPosition=302;
		const int VC_SetZoomPosition=303;

		const int VC_SetPanTiltCenter = 305;
		const int VC_SetPTZPosition = 304;

		const int VC_RotateLiveDisplay = 250;

		const int VC_MessageDrainHnd =  21;
		const int VC_DisplayCapture=  22;
		const int VC_SaveCapturedImage = 23;
		const int VC_ColorCorrectImage = 24;
		const int VC_DiscardPreviewImage =  25;

        const int VC_VerifySystemInitialized = 600;
       


		
		int FGSharpness=7;
		int CaptureSharpness=500;
		bool bFlashOn=false, bFrozen=false;		
		int iRedGain = 0,iBlueGain = 0,iFlashRedGain = 0,iFlashBlueGain = 0;	
		int iXCropStart=5, iYCropStart=5;
		int iHSize,iVSize,iHPos ,iVPos ;
		int iHScale=0,iVScale=0;
		int iCapturedScaleWidth=0,iCapturedScaleHeight=0;
		int iPTZSpeed=1;
		int  iCaptureType;
		string strFlashIris;
		IntPtr hDIB;	
		bool ShowImage=false;
		int CountImages=0;
		int RotationValue=90;
		Dialog DisplayVideoWindow;
		Size OriginalSize;
		int FlashIrisLevel=15;
		int FlashDistanceCompensation = 4;
		int FlashFluorscentCorrection;
		int ErrorLevel;
		int ImageHandle;
        int iZoomPosition;

		enum eCameraMotion {None,ZoomIn,ZoomOut,TiltUp,TiltDown,PanLeft,PanRight};
		eCameraMotion CameraMotion=eCameraMotion.None;

		public enum eCaptureType{DIB,DDB,CLIPBOARD,BMP,JPG};
       

		//private System.Windows.Forms.Button button10;
		//private System.Windows.Forms.Button button11;
		private System.Windows.Forms.GroupBox LivAdjustments;
		private System.Windows.Forms.Button button13;
		public  System.Windows.Forms.TextBox FlashIris_textbox;
		private System.Windows.Forms.GroupBox groupBox4;
		private System.Windows.Forms.TextBox txtHorzSize;
		private System.Windows.Forms.Label label9;
		private System.Windows.Forms.Label label10;
		private System.Windows.Forms.TextBox txtVertPos;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.TextBox txtHorzPos;
		private System.Windows.Forms.Button IrisDown;
        private System.Windows.Forms.Button IrisUp;
		private System.Windows.Forms.Label lblBlue;
		private System.Windows.Forms.NumericUpDown BlueUpDown;
		private System.Windows.Forms.Label lblRed;
		private System.Windows.Forms.NumericUpDown RedUpDown;
		private System.Windows.Forms.Button btnFreeze;
		private System.Windows.Forms.Button btnTurnOffVideo;
		private System.Windows.Forms.Button btnInitSystem;
		private System.Windows.Forms.Button btnDisplayVideo;
		private System.Windows.Forms.TextBox txtVertSize;
		private System.Windows.Forms.RadioButton radioButtonFast;
		private System.Windows.Forms.RadioButton radioButtonPTZMed;
		private System.Windows.Forms.RadioButton radioButtonPTZSlow;
		private System.Windows.Forms.GroupBox groupBox1;
		private System.Windows.Forms.GroupBox groupBox5;
		private System.Windows.Forms.RadioButton radioButtonCaptureTypeDIB;
		private System.Windows.Forms.RadioButton radioButtonCaptureTypeClipBoard;
		private System.Windows.Forms.RadioButton radioButtonCaptureTypeJPG;
		private System.Windows.Forms.RadioButton radioButtonCaptureTypeBMP;
		private System.Windows.Forms.RadioButton radioButtonCaptureTypeDDB;
		private System.Windows.Forms.Button btnClear;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox txtXCrop;
		private System.Windows.Forms.TextBox txtYCrop;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TextBox txtVScale;
		private System.Windows.Forms.TextBox txtHScale;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Timer timer1;
		private System.Windows.Forms.Button btnZoomOut;
		private System.Windows.Forms.Button btnZoomIn;
        private System.Windows.Forms.Button btnCloseCard;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.GroupBox groupBox7;
		private System.Windows.Forms.GroupBox groupBox8;
		private System.Windows.Forms.GroupBox groupBox9;
		private System.Windows.Forms.GroupBox groupBox10;
		private System.Windows.Forms.NumericUpDown numericUpDownCaptureSharpness;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.NumericUpDown numericUpDownLiveSharpness;
		private System.Windows.Forms.GroupBox groupBox11;
		private System.Windows.Forms.Button btnPreviewDefaults;
		private System.Windows.Forms.Button btnShowVideo;
		private System.Windows.Forms.Button btnAutoWhite;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.RadioButton radioRawPixels;
		private System.Windows.Forms.RadioButton radioScalePixels;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label label15;
		private System.Windows.Forms.TextBox txtCapturedScaleHeight;
        private System.Windows.Forms.TextBox txtCapturedScaleWidth;
        private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.TextBox txtZoomPos;
		private System.Windows.Forms.Button btnReadZoom;
        private System.Windows.Forms.Button btnSetZoomPos;
		private System.Windows.Forms.GroupBox groupBox12;
		private System.Windows.Forms.RadioButton radioButtonCorrectionOff;
		private System.Windows.Forms.RadioButton radioButtonCorrectionOn;
		private System.Windows.Forms.Button btnCapture;
		private System.Windows.Forms.HScrollBar hScrollBarSetLiveBrightness;
		private System.Windows.Forms.Label Brightness;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.HScrollBar hScrollBarZoom;
		private System.Windows.Forms.Label label17;
		private System.Windows.Forms.VScrollBar vScrollBarBluePaint;
		private System.Windows.Forms.VScrollBar vScrollBarRedPaint;
		private System.Windows.Forms.GroupBox groupBox13;
		private System.Windows.Forms.Label label18;
		private System.Windows.Forms.Label label19;
		private System.Windows.Forms.TextBox textBoxRedColorCorrection;
		private System.Windows.Forms.TextBox textBoxBlueColorCorrection;
		private System.Windows.Forms.HScrollBar hScrollBarFlashLevel;
		private System.Windows.Forms.GroupBox groupBox14;
		private System.Windows.Forms.Button btnSaveImage;
		private System.Windows.Forms.Button buttonDefaultColorCorrection;
		private System.Windows.Forms.Button btnClearDDB;
		private System.Windows.Forms.RadioButton radioPreviewOn;
		private System.Windows.Forms.RadioButton radioPreviewOff;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.RadioButton radioButtonFlashOff;
		private System.Windows.Forms.RadioButton radioButtonFlashOn;
        private GroupBox groupBox15;
        private TextBox textBoxReturnValue;
        private Label label20;
        private Button button2;
		private System.Windows.Forms.Label label7;



		[DllImport("USB_SDK.Dll")]
		public static extern int VALCam_Control(int Msg,int Param1,int Param2,int Param3, int Param4);

		[DllImport("kernel32.dll")]
		public static extern int GlobalFree(int hMem);

		[DllImport("Gdi32.dll")]
		public static extern bool DeleteObject(int hBitmap);

        //Definition of structure to use with reading return values
        public  struct structReturnValues
        {
            public int ReturnLiveRed;
            public int ReturnLiveBlue;
            public int ReturnFlashRed;
            public int ReturnFlashBlue;
            public int ReturnFlashIris;
            public int ReturnImageSharpness;
            public int ReturnCameraSharpness;
            public int ReturnAutoWhite;
            public int ReturnRedPaint;
            public int ReturnBluePaint;
            public int ReturnCropStartX;
            public int ReturnCropStartY;
            public int ReturnCropHeight;
            public int ReturnCropWidth;
            public int ReturnFlashCorrection;
            public int ReturnZoomArray;
            public int ReturnLiveIrisLevel;
            public int ReturnZoomSpeed;
            public int ReturnReserved2;
	        public int ReturnReserved3;
	        public int ReturnReserved4;
	        public int ReturnReserved5;
	        public int ReturnReserved6;
	        public int ReturnReserved7;
        
        };

        public  structReturnValues ReturnValues;

        [DllImport("USB_SDK.Dll")]
        public static extern int VALCam_ReadReturnParameters(ref structReturnValues ReturnValues);

        //*******************************************************
        



		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            this.btnInitSystem = new System.Windows.Forms.Button();
            this.btnDisplayVideo = new System.Windows.Forms.Button();
            this.btnFreeze = new System.Windows.Forms.Button();
            this.LivAdjustments = new System.Windows.Forms.GroupBox();
            this.button2 = new System.Windows.Forms.Button();
            this.btnAutoWhite = new System.Windows.Forms.Button();
            this.lblBlue = new System.Windows.Forms.Label();
            this.BlueUpDown = new System.Windows.Forms.NumericUpDown();
            this.lblRed = new System.Windows.Forms.Label();
            this.RedUpDown = new System.Windows.Forms.NumericUpDown();
            this.btnPreviewDefaults = new System.Windows.Forms.Button();
            this.IrisDown = new System.Windows.Forms.Button();
            this.IrisUp = new System.Windows.Forms.Button();
            this.FlashIris_textbox = new System.Windows.Forms.TextBox();
            this.label7 = new System.Windows.Forms.Label();
            this.btnTurnOffVideo = new System.Windows.Forms.Button();
            this.btnClear = new System.Windows.Forms.Button();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.label3 = new System.Windows.Forms.Label();
            this.txtVScale = new System.Windows.Forms.TextBox();
            this.txtHScale = new System.Windows.Forms.TextBox();
            this.label4 = new System.Windows.Forms.Label();
            this.txtYCrop = new System.Windows.Forms.TextBox();
            this.label2 = new System.Windows.Forms.Label();
            this.txtXCrop = new System.Windows.Forms.TextBox();
            this.label1 = new System.Windows.Forms.Label();
            this.txtVertSize = new System.Windows.Forms.TextBox();
            this.txtHorzSize = new System.Windows.Forms.TextBox();
            this.label11 = new System.Windows.Forms.Label();
            this.txtVertPos = new System.Windows.Forms.TextBox();
            this.txtHorzPos = new System.Windows.Forms.TextBox();
            this.label12 = new System.Windows.Forms.Label();
            this.label9 = new System.Windows.Forms.Label();
            this.label10 = new System.Windows.Forms.Label();
            this.radioButtonFast = new System.Windows.Forms.RadioButton();
            this.radioButtonPTZMed = new System.Windows.Forms.RadioButton();
            this.radioButtonPTZSlow = new System.Windows.Forms.RadioButton();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.groupBox5 = new System.Windows.Forms.GroupBox();
            this.radioButtonCaptureTypeBMP = new System.Windows.Forms.RadioButton();
            this.radioButtonCaptureTypeJPG = new System.Windows.Forms.RadioButton();
            this.radioButtonCaptureTypeClipBoard = new System.Windows.Forms.RadioButton();
            this.radioButtonCaptureTypeDIB = new System.Windows.Forms.RadioButton();
            this.radioButtonCaptureTypeDDB = new System.Windows.Forms.RadioButton();
            this.btnCloseCard = new System.Windows.Forms.Button();
            this.timer1 = new System.Windows.Forms.Timer(this.components);
            this.btnZoomOut = new System.Windows.Forms.Button();
            this.btnZoomIn = new System.Windows.Forms.Button();
            this.pictureBox1 = new System.Windows.Forms.PictureBox();
            this.groupBox7 = new System.Windows.Forms.GroupBox();
            this.groupBox8 = new System.Windows.Forms.GroupBox();
            this.btnShowVideo = new System.Windows.Forms.Button();
            this.groupBox9 = new System.Windows.Forms.GroupBox();
            this.hScrollBarFlashLevel = new System.Windows.Forms.HScrollBar();
            this.hScrollBarSetLiveBrightness = new System.Windows.Forms.HScrollBar();
            this.Brightness = new System.Windows.Forms.Label();
            this.btnCapture = new System.Windows.Forms.Button();
            this.groupBox10 = new System.Windows.Forms.GroupBox();
            this.label17 = new System.Windows.Forms.Label();
            this.hScrollBarZoom = new System.Windows.Forms.HScrollBar();
            this.label13 = new System.Windows.Forms.Label();
            this.txtZoomPos = new System.Windows.Forms.TextBox();
            this.btnSetZoomPos = new System.Windows.Forms.Button();
            this.btnReadZoom = new System.Windows.Forms.Button();
            this.numericUpDownCaptureSharpness = new System.Windows.Forms.NumericUpDown();
            this.label5 = new System.Windows.Forms.Label();
            this.label14 = new System.Windows.Forms.Label();
            this.numericUpDownLiveSharpness = new System.Windows.Forms.NumericUpDown();
            this.groupBox11 = new System.Windows.Forms.GroupBox();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.txtCapturedScaleHeight = new System.Windows.Forms.TextBox();
            this.label15 = new System.Windows.Forms.Label();
            this.label8 = new System.Windows.Forms.Label();
            this.txtCapturedScaleWidth = new System.Windows.Forms.TextBox();
            this.radioScalePixels = new System.Windows.Forms.RadioButton();
            this.radioRawPixels = new System.Windows.Forms.RadioButton();
            this.mainMenu1 = new System.Windows.Forms.MainMenu(this.components);
            this.groupBox12 = new System.Windows.Forms.GroupBox();
            this.radioButtonCorrectionOn = new System.Windows.Forms.RadioButton();
            this.radioButtonCorrectionOff = new System.Windows.Forms.RadioButton();
            this.button1 = new System.Windows.Forms.Button();
            this.vScrollBarBluePaint = new System.Windows.Forms.VScrollBar();
            this.vScrollBarRedPaint = new System.Windows.Forms.VScrollBar();
            this.groupBox13 = new System.Windows.Forms.GroupBox();
            this.buttonDefaultColorCorrection = new System.Windows.Forms.Button();
            this.textBoxBlueColorCorrection = new System.Windows.Forms.TextBox();
            this.textBoxRedColorCorrection = new System.Windows.Forms.TextBox();
            this.label19 = new System.Windows.Forms.Label();
            this.label18 = new System.Windows.Forms.Label();
            this.groupBox14 = new System.Windows.Forms.GroupBox();
            this.groupBox15 = new System.Windows.Forms.GroupBox();
            this.radioPreviewOff = new System.Windows.Forms.RadioButton();
            this.radioPreviewOn = new System.Windows.Forms.RadioButton();
            this.panel1 = new System.Windows.Forms.Panel();
            this.radioButtonFlashOn = new System.Windows.Forms.RadioButton();
            this.radioButtonFlashOff = new System.Windows.Forms.RadioButton();
            this.btnSaveImage = new System.Windows.Forms.Button();
            this.btnClearDDB = new System.Windows.Forms.Button();
            this.textBoxReturnValue = new System.Windows.Forms.TextBox();
            this.label20 = new System.Windows.Forms.Label();
            this.LivAdjustments.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.BlueUpDown)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.RedUpDown)).BeginInit();
            this.groupBox4.SuspendLayout();
            this.groupBox5.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
            this.groupBox7.SuspendLayout();
            this.groupBox8.SuspendLayout();
            this.groupBox9.SuspendLayout();
            this.groupBox10.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownCaptureSharpness)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownLiveSharpness)).BeginInit();
            this.groupBox11.SuspendLayout();
            this.groupBox2.SuspendLayout();
            this.groupBox12.SuspendLayout();
            this.groupBox13.SuspendLayout();
            this.groupBox14.SuspendLayout();
            this.panel1.SuspendLayout();
            this.SuspendLayout();
            // 
            // btnInitSystem
            // 
            this.btnInitSystem.Location = new System.Drawing.Point(8, 17);
            this.btnInitSystem.Name = "btnInitSystem";
            this.btnInitSystem.Size = new System.Drawing.Size(88, 21);
            this.btnInitSystem.TabIndex = 0;
            this.btnInitSystem.Text = "Init System";
            this.btnInitSystem.Click += new System.EventHandler(this.btnInitSystem_Click);
            // 
            // btnDisplayVideo
            // 
            this.btnDisplayVideo.Enabled = false;
            this.btnDisplayVideo.Location = new System.Drawing.Point(8, 224);
            this.btnDisplayVideo.Name = "btnDisplayVideo";
            this.btnDisplayVideo.Size = new System.Drawing.Size(104, 23);
            this.btnDisplayVideo.TabIndex = 1;
            this.btnDisplayVideo.Text = "Display Video";
            this.btnDisplayVideo.Click += new System.EventHandler(this.btnDisplayVideo_Click);
            // 
            // btnFreeze
            // 
            this.btnFreeze.Enabled = false;
            this.btnFreeze.Location = new System.Drawing.Point(8, 64);
            this.btnFreeze.Name = "btnFreeze";
            this.btnFreeze.Size = new System.Drawing.Size(88, 18);
            this.btnFreeze.TabIndex = 2;
            this.btnFreeze.Text = "Freeze";
            this.btnFreeze.Click += new System.EventHandler(this.btnFreeze_Click);
            // 
            // LivAdjustments
            // 
            this.LivAdjustments.Controls.Add(this.button2);
            this.LivAdjustments.Controls.Add(this.btnAutoWhite);
            this.LivAdjustments.Controls.Add(this.lblBlue);
            this.LivAdjustments.Controls.Add(this.BlueUpDown);
            this.LivAdjustments.Controls.Add(this.lblRed);
            this.LivAdjustments.Controls.Add(this.RedUpDown);
            this.LivAdjustments.Controls.Add(this.btnPreviewDefaults);
            this.LivAdjustments.Location = new System.Drawing.Point(184, 112);
            this.LivAdjustments.Name = "LivAdjustments";
            this.LivAdjustments.Size = new System.Drawing.Size(128, 216);
            this.LivAdjustments.TabIndex = 19;
            this.LivAdjustments.TabStop = false;
            this.LivAdjustments.Text = "Color Adjustments";
            // 
            // button2
            // 
            this.button2.Location = new System.Drawing.Point(19, 98);
            this.button2.Name = "button2";
            this.button2.Size = new System.Drawing.Size(96, 23);
            this.button2.TabIndex = 32;
            this.button2.Text = "Accurate White";
            this.button2.UseVisualStyleBackColor = true;
            this.button2.Click += new System.EventHandler(this.button2_Click);
            // 
            // btnAutoWhite
            // 
            this.btnAutoWhite.Location = new System.Drawing.Point(19, 138);
            this.btnAutoWhite.Name = "btnAutoWhite";
            this.btnAutoWhite.Size = new System.Drawing.Size(96, 23);
            this.btnAutoWhite.TabIndex = 31;
            this.btnAutoWhite.Text = "Auto White";
            this.btnAutoWhite.Click += new System.EventHandler(this.btnAutoWhite_Click);
            // 
            // lblBlue
            // 
            this.lblBlue.Location = new System.Drawing.Point(8, 60);
            this.lblBlue.Name = "lblBlue";
            this.lblBlue.Size = new System.Drawing.Size(64, 16);
            this.lblBlue.TabIndex = 22;
            this.lblBlue.Text = "Live Blue";
            // 
            // BlueUpDown
            // 
            this.BlueUpDown.Location = new System.Drawing.Point(72, 60);
            this.BlueUpDown.Maximum = new decimal(new int[] {
            25,
            0,
            0,
            0});
            this.BlueUpDown.Minimum = new decimal(new int[] {
            25,
            0,
            0,
            -2147483648});
            this.BlueUpDown.Name = "BlueUpDown";
            this.BlueUpDown.ReadOnly = true;
            this.BlueUpDown.Size = new System.Drawing.Size(40, 20);
            this.BlueUpDown.TabIndex = 21;
            this.BlueUpDown.Value = new decimal(new int[] {
            2,
            0,
            0,
            0});
            this.BlueUpDown.ValueChanged += new System.EventHandler(this.LiveBlueUpDown_ValueChanged_1);
            // 
            // lblRed
            // 
            this.lblRed.Location = new System.Drawing.Point(8, 26);
            this.lblRed.Name = "lblRed";
            this.lblRed.Size = new System.Drawing.Size(64, 16);
            this.lblRed.TabIndex = 20;
            this.lblRed.Text = "Live Red";
            // 
            // RedUpDown
            // 
            this.RedUpDown.Location = new System.Drawing.Point(72, 26);
            this.RedUpDown.Maximum = new decimal(new int[] {
            25,
            0,
            0,
            0});
            this.RedUpDown.Minimum = new decimal(new int[] {
            25,
            0,
            0,
            -2147483648});
            this.RedUpDown.Name = "RedUpDown";
            this.RedUpDown.ReadOnly = true;
            this.RedUpDown.Size = new System.Drawing.Size(40, 20);
            this.RedUpDown.TabIndex = 19;
            this.RedUpDown.Value = new decimal(new int[] {
            6,
            0,
            0,
            0});
            this.RedUpDown.ValueChanged += new System.EventHandler(this.LiveRedUpDown_ValueChanged);
            // 
            // btnPreviewDefaults
            // 
            this.btnPreviewDefaults.Location = new System.Drawing.Point(19, 176);
            this.btnPreviewDefaults.Name = "btnPreviewDefaults";
            this.btnPreviewDefaults.Size = new System.Drawing.Size(96, 23);
            this.btnPreviewDefaults.TabIndex = 22;
            this.btnPreviewDefaults.Text = "Preview Defaults";
            this.btnPreviewDefaults.Click += new System.EventHandler(this.btnPreviewDefaults_Click);
            // 
            // IrisDown
            // 
            this.IrisDown.Location = new System.Drawing.Point(8, 56);
            this.IrisDown.Name = "IrisDown";
            this.IrisDown.Size = new System.Drawing.Size(88, 18);
            this.IrisDown.TabIndex = 26;
            this.IrisDown.Text = "Live Darker";
            this.IrisDown.Click += new System.EventHandler(this.IrisDown_Click);
            // 
            // IrisUp
            // 
            this.IrisUp.Location = new System.Drawing.Point(8, 24);
            this.IrisUp.Name = "IrisUp";
            this.IrisUp.Size = new System.Drawing.Size(88, 18);
            this.IrisUp.TabIndex = 25;
            this.IrisUp.Text = "Live Brighter";
            this.IrisUp.Click += new System.EventHandler(this.IrisUp_Click);
            // 
            // FlashIris_textbox
            // 
            this.FlashIris_textbox.Location = new System.Drawing.Point(24, 168);
            this.FlashIris_textbox.Name = "FlashIris_textbox";
            this.FlashIris_textbox.Size = new System.Drawing.Size(80, 20);
            this.FlashIris_textbox.TabIndex = 29;
            this.FlashIris_textbox.TabStop = false;
            this.FlashIris_textbox.Text = "Flash Iris Level";
            // 
            // label7
            // 
            this.label7.Location = new System.Drawing.Point(18, 122);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(80, 11);
            this.label7.TabIndex = 30;
            this.label7.Text = "Flash Iris Level";
            // 
            // btnTurnOffVideo
            // 
            this.btnTurnOffVideo.Enabled = false;
            this.btnTurnOffVideo.Location = new System.Drawing.Point(8, 16);
            this.btnTurnOffVideo.Name = "btnTurnOffVideo";
            this.btnTurnOffVideo.Size = new System.Drawing.Size(88, 18);
            this.btnTurnOffVideo.TabIndex = 25;
            this.btnTurnOffVideo.Text = "Turn off Video";
            this.btnTurnOffVideo.Click += new System.EventHandler(this.btnTurnOffVideo_Click);
            // 
            // btnClear
            // 
            this.btnClear.Location = new System.Drawing.Point(24, 624);
            this.btnClear.Name = "btnClear";
            this.btnClear.Size = new System.Drawing.Size(16, 28);
            this.btnClear.TabIndex = 28;
            this.btnClear.Text = "Don\'t Save";
            this.btnClear.Visible = false;
            this.btnClear.Click += new System.EventHandler(this.btnClear_Click);
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.label3);
            this.groupBox4.Controls.Add(this.txtVScale);
            this.groupBox4.Controls.Add(this.txtHScale);
            this.groupBox4.Controls.Add(this.label4);
            this.groupBox4.Controls.Add(this.txtYCrop);
            this.groupBox4.Controls.Add(this.label2);
            this.groupBox4.Controls.Add(this.txtXCrop);
            this.groupBox4.Controls.Add(this.label1);
            this.groupBox4.Controls.Add(this.txtVertSize);
            this.groupBox4.Controls.Add(this.txtHorzSize);
            this.groupBox4.Controls.Add(this.label11);
            this.groupBox4.Controls.Add(this.txtVertPos);
            this.groupBox4.Controls.Add(this.txtHorzPos);
            this.groupBox4.Controls.Add(this.label12);
            this.groupBox4.Controls.Add(this.btnDisplayVideo);
            this.groupBox4.Controls.Add(this.label9);
            this.groupBox4.Controls.Add(this.label10);
            this.groupBox4.Location = new System.Drawing.Point(24, 359);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(128, 264);
            this.groupBox4.TabIndex = 29;
            this.groupBox4.TabStop = false;
            this.groupBox4.Text = "Display Video";
            // 
            // label3
            // 
            this.label3.Location = new System.Drawing.Point(8, 188);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(40, 16);
            this.label3.TabIndex = 40;
            this.label3.Text = "VScale";
            // 
            // txtVScale
            // 
            this.txtVScale.Location = new System.Drawing.Point(56, 188);
            this.txtVScale.Name = "txtVScale";
            this.txtVScale.Size = new System.Drawing.Size(48, 20);
            this.txtVScale.TabIndex = 41;
            this.txtVScale.TabStop = false;
            this.txtVScale.Text = "237";
            // 
            // txtHScale
            // 
            this.txtHScale.Location = new System.Drawing.Point(56, 165);
            this.txtHScale.Name = "txtHScale";
            this.txtHScale.Size = new System.Drawing.Size(48, 20);
            this.txtHScale.TabIndex = 38;
            this.txtHScale.TabStop = false;
            this.txtHScale.Text = "311";
           // this.txtHScale.TextChanged += new System.EventHandler(this.txtHScale_TextChanged);
            // 
            // label4
            // 
            this.label4.Location = new System.Drawing.Point(9, 165);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(48, 16);
            this.label4.TabIndex = 39;
            this.label4.Text = "HScale";
            // 
            // txtYCrop
            // 
            this.txtYCrop.Location = new System.Drawing.Point(56, 91);
            this.txtYCrop.Name = "txtYCrop";
            this.txtYCrop.Size = new System.Drawing.Size(48, 20);
            this.txtYCrop.TabIndex = 37;
            this.txtYCrop.TabStop = false;
            this.txtYCrop.Text = "2";
            // 
            // label2
            // 
            this.label2.Location = new System.Drawing.Point(8, 91);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(40, 16);
            this.label2.TabIndex = 36;
            this.label2.Text = "YCrop";
            // 
            // txtXCrop
            // 
            this.txtXCrop.Location = new System.Drawing.Point(56, 67);
            this.txtXCrop.Name = "txtXCrop";
            this.txtXCrop.Size = new System.Drawing.Size(48, 20);
            this.txtXCrop.TabIndex = 35;
            this.txtXCrop.TabStop = false;
            this.txtXCrop.Text = "9";
            // 
            // label1
            // 
            this.label1.Location = new System.Drawing.Point(8, 67);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(40, 16);
            this.label1.TabIndex = 34;
            this.label1.Text = "XCrop";
            // 
            // txtVertSize
            // 
            this.txtVertSize.Location = new System.Drawing.Point(56, 41);
            this.txtVertSize.Name = "txtVertSize";
            this.txtVertSize.Size = new System.Drawing.Size(48, 20);
            this.txtVertSize.TabIndex = 3;
            this.txtVertSize.TabStop = false;
            this.txtVertSize.Text = "635";
            // 
            // txtHorzSize
            // 
            this.txtHorzSize.Location = new System.Drawing.Point(56, 16);
            this.txtHorzSize.Name = "txtHorzSize";
            this.txtHorzSize.Size = new System.Drawing.Size(48, 20);
            this.txtHorzSize.TabIndex = 0;
            this.txtHorzSize.TabStop = false;
            this.txtHorzSize.Text = "476";
            // 
            // label11
            // 
            this.label11.Location = new System.Drawing.Point(8, 141);
            this.label11.Name = "label11";
            this.label11.Size = new System.Drawing.Size(40, 16);
            this.label11.TabIndex = 32;
            this.label11.Text = "V Pos";
            // 
            // txtVertPos
            // 
            this.txtVertPos.Location = new System.Drawing.Point(56, 141);
            this.txtVertPos.Name = "txtVertPos";
            this.txtVertPos.Size = new System.Drawing.Size(48, 20);
            this.txtVertPos.TabIndex = 33;
            this.txtVertPos.TabStop = false;
            this.txtVertPos.Text = "40";
            // 
            // txtHorzPos
            // 
            this.txtHorzPos.Location = new System.Drawing.Point(56, 115);
            this.txtHorzPos.Name = "txtHorzPos";
            this.txtHorzPos.Size = new System.Drawing.Size(48, 20);
            this.txtHorzPos.TabIndex = 30;
            this.txtHorzPos.TabStop = false;
            this.txtHorzPos.Text = "140";
            // 
            // label12
            // 
            this.label12.Location = new System.Drawing.Point(8, 115);
            this.label12.Name = "label12";
            this.label12.Size = new System.Drawing.Size(40, 16);
            this.label12.TabIndex = 31;
            this.label12.Text = "H Pos";
            // 
            // label9
            // 
            this.label9.Location = new System.Drawing.Point(8, 16);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(48, 16);
            this.label9.TabIndex = 1;
            this.label9.Text = "H Pixels";
            // 
            // label10
            // 
            this.label10.Location = new System.Drawing.Point(8, 41);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(48, 16);
            this.label10.TabIndex = 2;
            this.label10.Text = "V Pixels";
            // 
            // radioButtonFast
            // 
            this.radioButtonFast.Location = new System.Drawing.Point(113, 55);
            this.radioButtonFast.Name = "radioButtonFast";
            this.radioButtonFast.Size = new System.Drawing.Size(45, 16);
            this.radioButtonFast.TabIndex = 2;
            this.radioButtonFast.Text = "Fast";
            this.radioButtonFast.CheckedChanged += new System.EventHandler(this.radioButtonFast_CheckedChanged);
            // 
            // radioButtonPTZMed
            // 
            this.radioButtonPTZMed.Checked = true;
            this.radioButtonPTZMed.Location = new System.Drawing.Point(63, 56);
            this.radioButtonPTZMed.Name = "radioButtonPTZMed";
            this.radioButtonPTZMed.Size = new System.Drawing.Size(46, 16);
            this.radioButtonPTZMed.TabIndex = 1;
            this.radioButtonPTZMed.TabStop = true;
            this.radioButtonPTZMed.Text = "Med";
            this.radioButtonPTZMed.CheckedChanged += new System.EventHandler(this.radioButtonPTZMed_CheckedChanged);
            // 
            // radioButtonPTZSlow
            // 
            this.radioButtonPTZSlow.Location = new System.Drawing.Point(5, 56);
            this.radioButtonPTZSlow.Name = "radioButtonPTZSlow";
            this.radioButtonPTZSlow.Size = new System.Drawing.Size(49, 15);
            this.radioButtonPTZSlow.TabIndex = 0;
            this.radioButtonPTZSlow.Text = "Slow";
            this.radioButtonPTZSlow.CheckedChanged += new System.EventHandler(this.radioButtonPTZSlow_CheckedChanged);
            // 
            // groupBox1
            // 
            this.groupBox1.Location = new System.Drawing.Point(2, 43);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(160, 45);
            this.groupBox1.TabIndex = 31;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Zoom Speed";
            // 
            // groupBox5
            // 
            this.groupBox5.Controls.Add(this.radioButtonCaptureTypeBMP);
            this.groupBox5.Controls.Add(this.radioButtonCaptureTypeJPG);
            this.groupBox5.Controls.Add(this.radioButtonCaptureTypeClipBoard);
            this.groupBox5.Controls.Add(this.radioButtonCaptureTypeDIB);
            this.groupBox5.Controls.Add(this.radioButtonCaptureTypeDDB);
            this.groupBox5.Location = new System.Drawing.Point(8, 224);
            this.groupBox5.Name = "groupBox5";
            this.groupBox5.Size = new System.Drawing.Size(96, 120);
            this.groupBox5.TabIndex = 32;
            this.groupBox5.TabStop = false;
            this.groupBox5.Text = "Capture Type";
            // 
            // radioButtonCaptureTypeBMP
            // 
            this.radioButtonCaptureTypeBMP.Location = new System.Drawing.Point(8, 80);
            this.radioButtonCaptureTypeBMP.Name = "radioButtonCaptureTypeBMP";
            this.radioButtonCaptureTypeBMP.Size = new System.Drawing.Size(48, 24);
            this.radioButtonCaptureTypeBMP.TabIndex = 4;
            this.radioButtonCaptureTypeBMP.Text = "BMP";
            this.radioButtonCaptureTypeBMP.CheckedChanged += new System.EventHandler(this.radioButtonCaptureTypeBMP_CheckedChanged);
            // 
            // radioButtonCaptureTypeJPG
            // 
            this.radioButtonCaptureTypeJPG.Location = new System.Drawing.Point(8, 64);
            this.radioButtonCaptureTypeJPG.Name = "radioButtonCaptureTypeJPG";
            this.radioButtonCaptureTypeJPG.Size = new System.Drawing.Size(48, 24);
            this.radioButtonCaptureTypeJPG.TabIndex = 3;
            this.radioButtonCaptureTypeJPG.Text = "JPG";
            this.radioButtonCaptureTypeJPG.CheckedChanged += new System.EventHandler(this.radioButtonCaptureTypeJPG_CheckedChanged);
            // 
            // radioButtonCaptureTypeClipBoard
            // 
            this.radioButtonCaptureTypeClipBoard.Checked = true;
            this.radioButtonCaptureTypeClipBoard.Location = new System.Drawing.Point(8, 48);
            this.radioButtonCaptureTypeClipBoard.Name = "radioButtonCaptureTypeClipBoard";
            this.radioButtonCaptureTypeClipBoard.Size = new System.Drawing.Size(72, 24);
            this.radioButtonCaptureTypeClipBoard.TabIndex = 2;
            this.radioButtonCaptureTypeClipBoard.TabStop = true;
            this.radioButtonCaptureTypeClipBoard.Text = "Clipboard";
            this.radioButtonCaptureTypeClipBoard.CheckedChanged += new System.EventHandler(this.radioButtonCaptureTypeClipBoard_CheckedChanged);
            // 
            // radioButtonCaptureTypeDIB
            // 
            this.radioButtonCaptureTypeDIB.Location = new System.Drawing.Point(8, 32);
            this.radioButtonCaptureTypeDIB.Name = "radioButtonCaptureTypeDIB";
            this.radioButtonCaptureTypeDIB.Size = new System.Drawing.Size(48, 24);
            this.radioButtonCaptureTypeDIB.TabIndex = 1;
            this.radioButtonCaptureTypeDIB.Text = "DIB";
            this.radioButtonCaptureTypeDIB.CheckedChanged += new System.EventHandler(this.radioButtonCaptureTypeDIB_CheckedChanged);
            // 
            // radioButtonCaptureTypeDDB
            // 
            this.radioButtonCaptureTypeDDB.Location = new System.Drawing.Point(8, 16);
            this.radioButtonCaptureTypeDDB.Name = "radioButtonCaptureTypeDDB";
            this.radioButtonCaptureTypeDDB.Size = new System.Drawing.Size(88, 24);
            this.radioButtonCaptureTypeDDB.TabIndex = 0;
            this.radioButtonCaptureTypeDDB.Text = ".NET (DDB)";
            this.radioButtonCaptureTypeDDB.CheckedChanged += new System.EventHandler(this.radioButtonCaptureDDB_CheckedChanged);
            // 
            // btnCloseCard
            // 
            this.btnCloseCard.Enabled = false;
            this.btnCloseCard.Location = new System.Drawing.Point(8, 56);
            this.btnCloseCard.Name = "btnCloseCard";
            this.btnCloseCard.Size = new System.Drawing.Size(88, 21);
            this.btnCloseCard.TabIndex = 26;
            this.btnCloseCard.Text = "Close System";
            this.btnCloseCard.Click += new System.EventHandler(this.button1_Click);
            // 
            // btnZoomOut
            // 
            this.btnZoomOut.Enabled = false;
            this.btnZoomOut.Location = new System.Drawing.Point(80, 16);
            this.btnZoomOut.Name = "btnZoomOut";
            this.btnZoomOut.Size = new System.Drawing.Size(64, 20);
            this.btnZoomOut.TabIndex = 39;
            this.btnZoomOut.Text = "Zoom Out";
            this.btnZoomOut.MouseDown += new System.Windows.Forms.MouseEventHandler(this.btnZoomOut_MouseDown);
            this.btnZoomOut.MouseUp += new System.Windows.Forms.MouseEventHandler(this.button8_MouseUp);
            // 
            // btnZoomIn
            // 
            this.btnZoomIn.Enabled = false;
            this.btnZoomIn.Location = new System.Drawing.Point(10, 16);
            this.btnZoomIn.Name = "btnZoomIn";
            this.btnZoomIn.Size = new System.Drawing.Size(64, 20);
            this.btnZoomIn.TabIndex = 38;
            this.btnZoomIn.Text = "Zoom In";
            this.btnZoomIn.MouseDown += new System.Windows.Forms.MouseEventHandler(this.btnZoomIn_MouseDown);
            this.btnZoomIn.MouseUp += new System.Windows.Forms.MouseEventHandler(this.button8_MouseUp);
            // 
            // pictureBox1
            // 
            this.pictureBox1.Location = new System.Drawing.Point(272, 8);
            this.pictureBox1.Name = "pictureBox1";
            this.pictureBox1.Size = new System.Drawing.Size(10, 10);
            this.pictureBox1.TabIndex = 42;
            this.pictureBox1.TabStop = false;
            // 
            // groupBox7
            // 
            this.groupBox7.Controls.Add(this.btnCloseCard);
            this.groupBox7.Controls.Add(this.btnInitSystem);
            this.groupBox7.Location = new System.Drawing.Point(8, 8);
            this.groupBox7.Name = "groupBox7";
            this.groupBox7.Size = new System.Drawing.Size(104, 88);
            this.groupBox7.TabIndex = 47;
            this.groupBox7.TabStop = false;
            this.groupBox7.Text = "Init & Quit";
            // 
            // groupBox8
            // 
            this.groupBox8.Controls.Add(this.btnTurnOffVideo);
            this.groupBox8.Controls.Add(this.btnShowVideo);
            this.groupBox8.Controls.Add(this.btnFreeze);
            this.groupBox8.Location = new System.Drawing.Point(176, 8);
            this.groupBox8.Name = "groupBox8";
            this.groupBox8.Size = new System.Drawing.Size(104, 96);
            this.groupBox8.TabIndex = 48;
            this.groupBox8.TabStop = false;
            this.groupBox8.Text = "Video Modes";
            // 
            // btnShowVideo
            // 
            this.btnShowVideo.Location = new System.Drawing.Point(8, 40);
            this.btnShowVideo.Name = "btnShowVideo";
            this.btnShowVideo.Size = new System.Drawing.Size(88, 18);
            this.btnShowVideo.TabIndex = 49;
            this.btnShowVideo.Text = "Show Video";
            this.btnShowVideo.Click += new System.EventHandler(this.button1_Click_1);
            // 
            // groupBox9
            // 
            this.groupBox9.Controls.Add(this.hScrollBarFlashLevel);
            this.groupBox9.Controls.Add(this.IrisUp);
            this.groupBox9.Controls.Add(this.IrisDown);
            this.groupBox9.Controls.Add(this.groupBox5);
            this.groupBox9.Controls.Add(this.FlashIris_textbox);
            this.groupBox9.Controls.Add(this.label7);
            this.groupBox9.Controls.Add(this.hScrollBarSetLiveBrightness);
            this.groupBox9.Controls.Add(this.Brightness);
            this.groupBox9.Location = new System.Drawing.Point(320, 16);
            this.groupBox9.Name = "groupBox9";
            this.groupBox9.Size = new System.Drawing.Size(120, 360);
            this.groupBox9.TabIndex = 49;
            this.groupBox9.TabStop = false;
            this.groupBox9.Text = "Capture & Brightness";
            // 
            // hScrollBarFlashLevel
            // 
            this.hScrollBarFlashLevel.LargeChange = 1;
            this.hScrollBarFlashLevel.Location = new System.Drawing.Point(0, 144);
            this.hScrollBarFlashLevel.Maximum = 32;
            this.hScrollBarFlashLevel.Name = "hScrollBarFlashLevel";
            this.hScrollBarFlashLevel.Size = new System.Drawing.Size(112, 16);
            this.hScrollBarFlashLevel.TabIndex = 61;
            this.hScrollBarFlashLevel.Scroll += new System.Windows.Forms.ScrollEventHandler(this.hScrollBarFlashLevel_Scroll);
            // 
            // hScrollBarSetLiveBrightness
            // 
            this.hScrollBarSetLiveBrightness.LargeChange = 1;
            this.hScrollBarSetLiveBrightness.Location = new System.Drawing.Point(0, 96);
            this.hScrollBarSetLiveBrightness.Maximum = 16;
            this.hScrollBarSetLiveBrightness.Name = "hScrollBarSetLiveBrightness";
            this.hScrollBarSetLiveBrightness.Size = new System.Drawing.Size(112, 16);
            this.hScrollBarSetLiveBrightness.TabIndex = 59;
            this.hScrollBarSetLiveBrightness.Scroll += new System.Windows.Forms.ScrollEventHandler(this.hScrollBarSetLiveBrightness_Scroll);
            // 
            // Brightness
            // 
            this.Brightness.Location = new System.Drawing.Point(24, 80);
            this.Brightness.Name = "Brightness";
            this.Brightness.Size = new System.Drawing.Size(72, 16);
            this.Brightness.TabIndex = 60;
            this.Brightness.Text = "Live Bright";
            // 
            // btnCapture
            // 
            this.btnCapture.Enabled = false;
            this.btnCapture.Location = new System.Drawing.Point(152, 16);
            this.btnCapture.Name = "btnCapture";
            this.btnCapture.Size = new System.Drawing.Size(184, 22);
            this.btnCapture.TabIndex = 27;
            this.btnCapture.Text = "Live Capture ";
            this.btnCapture.Click += new System.EventHandler(this.btnCapture_Click);
            // 
            // groupBox10
            // 
            this.groupBox10.Controls.Add(this.radioButtonFast);
            this.groupBox10.Controls.Add(this.radioButtonPTZMed);
            this.groupBox10.Controls.Add(this.label17);
            this.groupBox10.Controls.Add(this.radioButtonPTZSlow);
            this.groupBox10.Controls.Add(this.hScrollBarZoom);
            this.groupBox10.Controls.Add(this.label13);
            this.groupBox10.Controls.Add(this.txtZoomPos);
            this.groupBox10.Controls.Add(this.btnZoomIn);
            this.groupBox10.Controls.Add(this.btnZoomOut);
            this.groupBox10.Controls.Add(this.btnSetZoomPos);
            this.groupBox10.Controls.Add(this.btnReadZoom);
            this.groupBox10.Controls.Add(this.groupBox1);
            this.groupBox10.Location = new System.Drawing.Point(8, 104);
            this.groupBox10.Name = "groupBox10";
            this.groupBox10.Size = new System.Drawing.Size(160, 240);
            this.groupBox10.TabIndex = 50;
            this.groupBox10.TabStop = false;
            this.groupBox10.Text = "Zoom Control";
            // 
            // label17
            // 
            this.label17.Location = new System.Drawing.Point(34, 96);
            this.label17.Name = "label17";
            this.label17.Size = new System.Drawing.Size(94, 16);
            this.label17.TabIndex = 55;
            this.label17.Text = "Calibrated Zoom";
            // 
            // hScrollBarZoom
            // 
            this.hScrollBarZoom.LargeChange = 200;
            this.hScrollBarZoom.Location = new System.Drawing.Point(16, 112);
            this.hScrollBarZoom.Maximum = 16512;
            this.hScrollBarZoom.Name = "hScrollBarZoom";
            this.hScrollBarZoom.Size = new System.Drawing.Size(128, 17);
            this.hScrollBarZoom.SmallChange = 200;
            this.hScrollBarZoom.TabIndex = 54;
            this.hScrollBarZoom.Scroll += new System.Windows.Forms.ScrollEventHandler(this.hScrollBarZoom_Scroll);
            // 
            // label13
            // 
            this.label13.Location = new System.Drawing.Point(45, 177);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(80, 16);
            this.label13.TabIndex = 62;
            this.label13.Text = "Zoom Position";
            // 
            // txtZoomPos
            // 
            this.txtZoomPos.Location = new System.Drawing.Point(50, 194);
            this.txtZoomPos.Name = "txtZoomPos";
            this.txtZoomPos.Size = new System.Drawing.Size(72, 20);
            this.txtZoomPos.TabIndex = 59;
            this.txtZoomPos.Text = "0";
            // 
            // btnSetZoomPos
            // 
            this.btnSetZoomPos.Location = new System.Drawing.Point(90, 146);
            this.btnSetZoomPos.Name = "btnSetZoomPos";
            this.btnSetZoomPos.Size = new System.Drawing.Size(64, 19);
            this.btnSetZoomPos.TabIndex = 61;
            this.btnSetZoomPos.Text = "Set Zoom";
            this.btnSetZoomPos.Click += new System.EventHandler(this.btnSetZoomPos_Click);
            // 
            // btnReadZoom
            // 
            this.btnReadZoom.Location = new System.Drawing.Point(10, 148);
            this.btnReadZoom.Name = "btnReadZoom";
            this.btnReadZoom.Size = new System.Drawing.Size(71, 19);
            this.btnReadZoom.TabIndex = 60;
            this.btnReadZoom.Text = "Read Zoom";
            this.btnReadZoom.Click += new System.EventHandler(this.btnReadZoom_Click);
            // 
            // numericUpDownCaptureSharpness
            // 
            this.numericUpDownCaptureSharpness.Location = new System.Drawing.Point(32, 40);
            this.numericUpDownCaptureSharpness.Maximum = new decimal(new int[] {
            999,
            0,
            0,
            0});
            this.numericUpDownCaptureSharpness.Minimum = new decimal(new int[] {
            200,
            0,
            0,
            0});
            this.numericUpDownCaptureSharpness.Name = "numericUpDownCaptureSharpness";
            this.numericUpDownCaptureSharpness.ReadOnly = true;
            this.numericUpDownCaptureSharpness.Size = new System.Drawing.Size(48, 20);
            this.numericUpDownCaptureSharpness.TabIndex = 51;
            this.numericUpDownCaptureSharpness.TabStop = false;
            this.numericUpDownCaptureSharpness.Value = new decimal(new int[] {
            200,
            0,
            0,
            0});
            this.numericUpDownCaptureSharpness.ValueChanged += new System.EventHandler(this.numericUpDownCaptureSharpness_ValueChanged);
            // 
            // label5
            // 
            this.label5.Location = new System.Drawing.Point(8, 16);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(104, 16);
            this.label5.TabIndex = 52;
            this.label5.Text = "Capture Sharpness";
            // 
            // label14
            // 
            this.label14.Location = new System.Drawing.Point(13, 72);
            this.label14.Name = "label14";
            this.label14.Size = new System.Drawing.Size(104, 16);
            this.label14.TabIndex = 53;
            this.label14.Text = "Camera Sharpness";
            // 
            // numericUpDownLiveSharpness
            // 
            this.numericUpDownLiveSharpness.Location = new System.Drawing.Point(32, 88);
            this.numericUpDownLiveSharpness.Maximum = new decimal(new int[] {
            15,
            0,
            0,
            0});
            this.numericUpDownLiveSharpness.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            0});
            this.numericUpDownLiveSharpness.Name = "numericUpDownLiveSharpness";
            this.numericUpDownLiveSharpness.ReadOnly = true;
            this.numericUpDownLiveSharpness.Size = new System.Drawing.Size(40, 20);
            this.numericUpDownLiveSharpness.TabIndex = 54;
            this.numericUpDownLiveSharpness.Value = new decimal(new int[] {
            1,
            0,
            0,
            0});
            this.numericUpDownLiveSharpness.ValueChanged += new System.EventHandler(this.numericUpDownLiveSharpness_ValueChanged);
            // 
            // groupBox11
            // 
            this.groupBox11.Controls.Add(this.label5);
            this.groupBox11.Controls.Add(this.numericUpDownCaptureSharpness);
            this.groupBox11.Controls.Add(this.label14);
            this.groupBox11.Controls.Add(this.numericUpDownLiveSharpness);
            this.groupBox11.Location = new System.Drawing.Point(320, 400);
            this.groupBox11.Name = "groupBox11";
            this.groupBox11.Size = new System.Drawing.Size(120, 120);
            this.groupBox11.TabIndex = 55;
            this.groupBox11.TabStop = false;
            this.groupBox11.Text = "Sharpness";
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.txtCapturedScaleHeight);
            this.groupBox2.Controls.Add(this.label15);
            this.groupBox2.Controls.Add(this.label8);
            this.groupBox2.Controls.Add(this.txtCapturedScaleWidth);
            this.groupBox2.Controls.Add(this.radioScalePixels);
            this.groupBox2.Controls.Add(this.radioRawPixels);
            this.groupBox2.Location = new System.Drawing.Point(312, 536);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(128, 104);
            this.groupBox2.TabIndex = 56;
            this.groupBox2.TabStop = false;
            this.groupBox2.Text = "Captured Image Size";
            // 
            // txtCapturedScaleHeight
            // 
            this.txtCapturedScaleHeight.Enabled = false;
            this.txtCapturedScaleHeight.Location = new System.Drawing.Point(71, 76);
            this.txtCapturedScaleHeight.Name = "txtCapturedScaleHeight";
            this.txtCapturedScaleHeight.Size = new System.Drawing.Size(40, 20);
            this.txtCapturedScaleHeight.TabIndex = 5;
            this.txtCapturedScaleHeight.TabStop = false;
            this.txtCapturedScaleHeight.Text = "0";
            // 
            // label15
            // 
            this.label15.Location = new System.Drawing.Point(72, 60);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(37, 17);
            this.label15.TabIndex = 4;
            this.label15.Text = "Height";
            // 
            // label8
            // 
            this.label8.Location = new System.Drawing.Point(11, 58);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(33, 17);
            this.label8.TabIndex = 3;
            this.label8.Text = "Width";
            // 
            // txtCapturedScaleWidth
            // 
            this.txtCapturedScaleWidth.Enabled = false;
            this.txtCapturedScaleWidth.Location = new System.Drawing.Point(14, 74);
            this.txtCapturedScaleWidth.Name = "txtCapturedScaleWidth";
            this.txtCapturedScaleWidth.Size = new System.Drawing.Size(40, 20);
            this.txtCapturedScaleWidth.TabIndex = 2;
            this.txtCapturedScaleWidth.TabStop = false;
            this.txtCapturedScaleWidth.Text = "0";
            // 
            // radioScalePixels
            // 
            this.radioScalePixels.Enabled = false;
            this.radioScalePixels.Location = new System.Drawing.Point(8, 40);
            this.radioScalePixels.Name = "radioScalePixels";
            this.radioScalePixels.Size = new System.Drawing.Size(80, 14);
            this.radioScalePixels.TabIndex = 1;
            this.radioScalePixels.Text = "Scale Pixels";
            this.radioScalePixels.CheckedChanged += new System.EventHandler(this.radioScalePixels_CheckedChanged);
            // 
            // radioRawPixels
            // 
            this.radioRawPixels.Checked = true;
            this.radioRawPixels.Location = new System.Drawing.Point(8, 19);
            this.radioRawPixels.Name = "radioRawPixels";
            this.radioRawPixels.Size = new System.Drawing.Size(80, 14);
            this.radioRawPixels.TabIndex = 0;
            this.radioRawPixels.TabStop = true;
            this.radioRawPixels.Text = "Raw Pixels";
            this.radioRawPixels.CheckedChanged += new System.EventHandler(this.radioRawPixels_CheckedChanged);
            // 
            // groupBox12
            // 
            this.groupBox12.Controls.Add(this.radioButtonCorrectionOn);
            this.groupBox12.Controls.Add(this.radioButtonCorrectionOff);
            this.groupBox12.Location = new System.Drawing.Point(184, 368);
            this.groupBox12.Name = "groupBox12";
            this.groupBox12.Size = new System.Drawing.Size(136, 48);
            this.groupBox12.TabIndex = 58;
            this.groupBox12.TabStop = false;
            this.groupBox12.Text = "Fluorescent  Correct ";
            // 
            // radioButtonCorrectionOn
            // 
            this.radioButtonCorrectionOn.Location = new System.Drawing.Point(80, 24);
            this.radioButtonCorrectionOn.Name = "radioButtonCorrectionOn";
            this.radioButtonCorrectionOn.Size = new System.Drawing.Size(40, 16);
            this.radioButtonCorrectionOn.TabIndex = 1;
            this.radioButtonCorrectionOn.Text = "On";
            this.radioButtonCorrectionOn.CheckedChanged += new System.EventHandler(this.radioButtonCorrectionOn_CheckedChanged);
            // 
            // radioButtonCorrectionOff
            // 
            this.radioButtonCorrectionOff.Checked = true;
            this.radioButtonCorrectionOff.Location = new System.Drawing.Point(24, 24);
            this.radioButtonCorrectionOff.Name = "radioButtonCorrectionOff";
            this.radioButtonCorrectionOff.Size = new System.Drawing.Size(40, 16);
            this.radioButtonCorrectionOff.TabIndex = 0;
            this.radioButtonCorrectionOff.TabStop = true;
            this.radioButtonCorrectionOff.Text = "Off";
            this.radioButtonCorrectionOff.CheckedChanged += new System.EventHandler(this.radioButtonCorrectionOff_CheckedChanged);
            // 
            // button1
            // 
            this.button1.Location = new System.Drawing.Point(136, 48);
            this.button1.Name = "button1";
            this.button1.Size = new System.Drawing.Size(8, 8);
            this.button1.TabIndex = 61;
            this.button1.Text = "button1";
            this.button1.Visible = false;
            this.button1.Click += new System.EventHandler(this.button1_Click_1);
            // 
            // vScrollBarBluePaint
            // 
            this.vScrollBarBluePaint.Enabled = false;
            this.vScrollBarBluePaint.LargeChange = 1;
            this.vScrollBarBluePaint.Location = new System.Drawing.Point(24, 328);
            this.vScrollBarBluePaint.Maximum = 50;
            this.vScrollBarBluePaint.Minimum = -50;
            this.vScrollBarBluePaint.Name = "vScrollBarBluePaint";
            this.vScrollBarBluePaint.Size = new System.Drawing.Size(17, 208);
            this.vScrollBarBluePaint.TabIndex = 62;
            this.vScrollBarBluePaint.Scroll += new System.Windows.Forms.ScrollEventHandler(this.vScrollBarBluePaint_Scroll);
            // 
            // vScrollBarRedPaint
            // 
            this.vScrollBarRedPaint.Enabled = false;
            this.vScrollBarRedPaint.LargeChange = 1;
            this.vScrollBarRedPaint.Location = new System.Drawing.Point(24, 56);
            this.vScrollBarRedPaint.Maximum = 50;
            this.vScrollBarRedPaint.Minimum = -50;
            this.vScrollBarRedPaint.Name = "vScrollBarRedPaint";
            this.vScrollBarRedPaint.Size = new System.Drawing.Size(17, 208);
            this.vScrollBarRedPaint.TabIndex = 2;
            this.vScrollBarRedPaint.Value = -50;
            this.vScrollBarRedPaint.Scroll += new System.Windows.Forms.ScrollEventHandler(this.vScrollBarRedPaint_Scroll);
            // 
            // groupBox13
            // 
            this.groupBox13.Controls.Add(this.buttonDefaultColorCorrection);
            this.groupBox13.Controls.Add(this.textBoxBlueColorCorrection);
            this.groupBox13.Controls.Add(this.textBoxRedColorCorrection);
            this.groupBox13.Controls.Add(this.label19);
            this.groupBox13.Controls.Add(this.label18);
            this.groupBox13.Controls.Add(this.vScrollBarRedPaint);
            this.groupBox13.Controls.Add(this.vScrollBarBluePaint);
            this.groupBox13.Location = new System.Drawing.Point(456, 24);
            this.groupBox13.Name = "groupBox13";
            this.groupBox13.Size = new System.Drawing.Size(88, 608);
            this.groupBox13.TabIndex = 0;
            this.groupBox13.TabStop = false;
            this.groupBox13.Text = "Color Adjust";
            // 
            // buttonDefaultColorCorrection
            // 
            this.buttonDefaultColorCorrection.Location = new System.Drawing.Point(8, 576);
            this.buttonDefaultColorCorrection.Name = "buttonDefaultColorCorrection";
            this.buttonDefaultColorCorrection.Size = new System.Drawing.Size(75, 23);
            this.buttonDefaultColorCorrection.TabIndex = 68;
            this.buttonDefaultColorCorrection.Text = "Default";
            this.buttonDefaultColorCorrection.Click += new System.EventHandler(this.buttonDefaultColorCorrection_Click);
            // 
            // textBoxBlueColorCorrection
            // 
            this.textBoxBlueColorCorrection.Location = new System.Drawing.Point(16, 544);
            this.textBoxBlueColorCorrection.Name = "textBoxBlueColorCorrection";
            this.textBoxBlueColorCorrection.Size = new System.Drawing.Size(32, 20);
            this.textBoxBlueColorCorrection.TabIndex = 67;
            this.textBoxBlueColorCorrection.Text = "0";
            // 
            // textBoxRedColorCorrection
            // 
            this.textBoxRedColorCorrection.Location = new System.Drawing.Point(16, 272);
            this.textBoxRedColorCorrection.Name = "textBoxRedColorCorrection";
            this.textBoxRedColorCorrection.Size = new System.Drawing.Size(32, 20);
            this.textBoxRedColorCorrection.TabIndex = 66;
            this.textBoxRedColorCorrection.Text = "0";
            // 
            // label19
            // 
            this.label19.Location = new System.Drawing.Point(16, 32);
            this.label19.Name = "label19";
            this.label19.Size = new System.Drawing.Size(32, 16);
            this.label19.TabIndex = 2;
            this.label19.Text = "Red";
            // 
            // label18
            // 
            this.label18.Location = new System.Drawing.Point(16, 304);
            this.label18.Name = "label18";
            this.label18.Size = new System.Drawing.Size(32, 16);
            this.label18.TabIndex = 64;
            this.label18.Text = "Blue";
            // 
            // groupBox14
            // 
            this.groupBox14.Controls.Add(this.groupBox15);
            this.groupBox14.Controls.Add(this.radioPreviewOff);
            this.groupBox14.Controls.Add(this.radioPreviewOn);
            this.groupBox14.Controls.Add(this.btnCapture);
            this.groupBox14.Controls.Add(this.panel1);
            this.groupBox14.Location = new System.Drawing.Point(48, 640);
            this.groupBox14.Name = "groupBox14";
            this.groupBox14.Size = new System.Drawing.Size(464, 64);
            this.groupBox14.TabIndex = 65;
            this.groupBox14.TabStop = false;
            this.groupBox14.Text = "Capture";
            // 
            // groupBox15
            // 
            this.groupBox15.Location = new System.Drawing.Point(127, 64);
            this.groupBox15.Name = "groupBox15";
            this.groupBox15.Size = new System.Drawing.Size(137, 33);
            this.groupBox15.TabIndex = 68;
            this.groupBox15.TabStop = false;
            this.groupBox15.Text = "Return Value";
            // 
            // radioPreviewOff
            // 
            this.radioPreviewOff.Location = new System.Drawing.Point(360, 32);
            this.radioPreviewOff.Name = "radioPreviewOff";
            this.radioPreviewOff.Size = new System.Drawing.Size(88, 16);
            this.radioPreviewOff.TabIndex = 1;
            this.radioPreviewOff.Text = "Preview Off";
            // 
            // radioPreviewOn
            // 
            this.radioPreviewOn.Checked = true;
            this.radioPreviewOn.Location = new System.Drawing.Point(360, 16);
            this.radioPreviewOn.Name = "radioPreviewOn";
            this.radioPreviewOn.Size = new System.Drawing.Size(88, 16);
            this.radioPreviewOn.TabIndex = 0;
            this.radioPreviewOn.TabStop = true;
            this.radioPreviewOn.Text = "Preview On";
            // 
            // panel1
            // 
            this.panel1.Controls.Add(this.radioButtonFlashOn);
            this.panel1.Controls.Add(this.radioButtonFlashOff);
            this.panel1.Location = new System.Drawing.Point(8, 16);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(104, 40);
            this.panel1.TabIndex = 33;
            // 
            // radioButtonFlashOn
            // 
            this.radioButtonFlashOn.Location = new System.Drawing.Point(8, 0);
            this.radioButtonFlashOn.Name = "radioButtonFlashOn";
            this.radioButtonFlashOn.Size = new System.Drawing.Size(72, 16);
            this.radioButtonFlashOn.TabIndex = 34;
            this.radioButtonFlashOn.Text = "Flash On";
            this.radioButtonFlashOn.Click += new System.EventHandler(this.radioButtonFlashOn_Click);
            this.radioButtonFlashOn.CheckedChanged += new System.EventHandler(this.radioButtonFlashOn_CheckedChanged);
            // 
            // radioButtonFlashOff
            // 
            this.radioButtonFlashOff.Checked = true;
            this.radioButtonFlashOff.Location = new System.Drawing.Point(8, 16);
            this.radioButtonFlashOff.Name = "radioButtonFlashOff";
            this.radioButtonFlashOff.Size = new System.Drawing.Size(72, 16);
            this.radioButtonFlashOff.TabIndex = 33;
            this.radioButtonFlashOff.TabStop = true;
            this.radioButtonFlashOff.Text = "Flash Off";
            this.radioButtonFlashOff.Click += new System.EventHandler(this.radioButtonFlashOff_Click);
            this.radioButtonFlashOff.CheckedChanged += new System.EventHandler(this.radioButtonFlashOff_CheckedChanged);
            // 
            // btnSaveImage
            // 
            this.btnSaveImage.Location = new System.Drawing.Point(16, 688);
            this.btnSaveImage.Name = "btnSaveImage";
            this.btnSaveImage.Size = new System.Drawing.Size(8, 28);
            this.btnSaveImage.TabIndex = 66;
            this.btnSaveImage.Text = "Save Image";
            this.btnSaveImage.Visible = false;
            this.btnSaveImage.Click += new System.EventHandler(this.btnSaveImage_Click);
            // 
            // btnClearDDB
            // 
            this.btnClearDDB.Location = new System.Drawing.Point(96, 616);
            this.btnClearDDB.Name = "btnClearDDB";
            this.btnClearDDB.Size = new System.Drawing.Size(16, 23);
            this.btnClearDDB.TabIndex = 67;
            this.btnClearDDB.Text = "Clear DDB";
            this.btnClearDDB.Visible = false;
            this.btnClearDDB.Click += new System.EventHandler(this.btnClearDDB_Click);
            // 
            // textBoxReturnValue
            // 
            this.textBoxReturnValue.Location = new System.Drawing.Point(232, 736);
            this.textBoxReturnValue.Name = "textBoxReturnValue";
            this.textBoxReturnValue.Size = new System.Drawing.Size(94, 20);
            this.textBoxReturnValue.TabIndex = 68;
            // 
            // label20
            // 
            this.label20.AutoSize = true;
            this.label20.Location = new System.Drawing.Point(243, 720);
            this.label20.Name = "label20";
            this.label20.Size = new System.Drawing.Size(69, 13);
            this.label20.TabIndex = 69;
            this.label20.Text = "Return Value";
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(552, 789);
            this.Controls.Add(this.label20);
            this.Controls.Add(this.textBoxReturnValue);
            this.Controls.Add(this.btnClearDDB);
            this.Controls.Add(this.btnSaveImage);
            this.Controls.Add(this.groupBox14);
            this.Controls.Add(this.groupBox13);
            this.Controls.Add(this.button1);
            this.Controls.Add(this.groupBox12);
            this.Controls.Add(this.groupBox2);
            this.Controls.Add(this.groupBox11);
            this.Controls.Add(this.groupBox10);
            this.Controls.Add(this.groupBox9);
            this.Controls.Add(this.groupBox8);
            this.Controls.Add(this.groupBox7);
            this.Controls.Add(this.pictureBox1);
            this.Controls.Add(this.groupBox4);
            this.Controls.Add(this.btnClear);
            this.Controls.Add(this.LivAdjustments);
            this.Menu = this.mainMenu1;
            this.Name = "Form1";
            this.Text = "VALCam SDK Tester";
            this.Load += new System.EventHandler(this.Form1_Load);
            this.Closed += new System.EventHandler(this.Form1_Closed);
            this.LivAdjustments.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.BlueUpDown)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.RedUpDown)).EndInit();
            this.groupBox4.ResumeLayout(false);
            this.groupBox4.PerformLayout();
            this.groupBox5.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
            this.groupBox7.ResumeLayout(false);
            this.groupBox8.ResumeLayout(false);
            this.groupBox9.ResumeLayout(false);
            this.groupBox9.PerformLayout();
            this.groupBox10.ResumeLayout(false);
            this.groupBox10.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownCaptureSharpness)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.numericUpDownLiveSharpness)).EndInit();
            this.groupBox11.ResumeLayout(false);
            this.groupBox2.ResumeLayout(false);
            this.groupBox2.PerformLayout();
            this.groupBox12.ResumeLayout(false);
            this.groupBox13.ResumeLayout(false);
            this.groupBox13.PerformLayout();
            this.groupBox14.ResumeLayout(false);
            this.panel1.ResumeLayout(false);
            this.ResumeLayout(false);
            this.PerformLayout();

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
			//Form1.radioButtonFlashOff.Checked=true;
           
			
		}
		
		
		
		private void EnableButtons()
		{
			btnFreeze.Enabled =true;
			btnCloseCard.Enabled =true;
			btnZoomIn.Enabled =true;
			btnZoomOut.Enabled =true;
			btnCapture.Enabled =true;
			btnTurnOffVideo.Enabled =true;
			btnDisplayVideo.Enabled =true;
		}

		
		//**** This start up routine must be called in initialize and start the system ************
		//**** This command should only be called once during a session *********
		
		private void btnInitSystem_Click(object sender, System.EventArgs e)
		{	
			int ErrorLevel;
			
			if (ShowImage==false)
			{
				DisplayVideoWindow=new Dialog();
				ShowImage=true;
			}
           
                


			//**************************************************
            //**************** This is the first call that must be made to the DLL
            //**************** Only call this command 1 time when starting the camera
            //*****************Use VC_Freeze or VC_NoVideoDisplay to make the remove and restart live video
            ErrorLevel=VALCam_Control(VC_InitSystem,(int)DisplayVideoWindow.Handle,0,0,0);
			
			//ErrorLevel=VALCam_Control(VC_SendWindowHandle,(int)DisplayVideoWindow.Handle,0,0,0);
			
			if (ErrorLevel==0)
			{
                MessageBox.Show("Camera not connected");
                VALCam_Control(VC_CloseCard,0,0,0,0);
				return;
            }
            if (ErrorLevel < 0)    
            {    
                MessageBox.Show("Failure in Device Initializaton, check connections and initialization system");
				VALCam_Control(VC_CloseCard,0,0,0,0);
				return;
			}	
			
			//*********This routine will read saved parameters from the registry file
            //*********There is a new command that will do this more efficeintly
            EnableControls(true);

            ReadCurrentParameters();
			
			//*************** Read Wake Up Zoom Position*******************************
            VALCam_Control(VC_SetZoomPosition, iZoomPosition, 0, 0,0); //Set Zoom Position
            
			if (iZoomPosition>=16512)
                hScrollBarZoom.Value=16512;
            else
			   hScrollBarZoom.Value=iZoomPosition;
			txtZoomPos.Text=iZoomPosition.ToString();
			//**************************************************************************
			
			iCaptureType=2; //Default capture source is Clipboard
			
			radioButtonCaptureTypeClipBoard.Checked=true;

			if (radioButtonFlashOff.Checked==true)
			{
				lblRed.Text="Live Red";
				lblBlue.Text="Live Blue";
				//lblColor.Text ="Live Color";
				IrisUp.Text="Live Iris Up";
				IrisDown.Text="Live Iris Down";
				btnCapture.Text="Live Capture";
				LivAdjustments.Text="Live Adjustments";
			}
			else
			{
				lblRed.Text="Flash Red";
				lblBlue.Text="Flash Blue";
			//	lblColor.Text ="Flash Color";
				IrisUp.Text="Flash Intensity Up";
				IrisDown.Text="Flash Intensity Down";
				btnCapture.Text="Flash Capture";
				LivAdjustments.Text="Flash Adjustments";
			}
			
			
			
			//******************* Set Startup Parameters****************************************
			txtHorzPos.Text ="0";
			txtVertPos.Text="0";
			txtHorzSize.Text=iHSize.ToString();
            txtVertSize.Text = iVSize.ToString();
			txtXCrop.Text=iXCropStart.ToString();
			txtYCrop.Text =iYCropStart.ToString();
			
			txtHScale.Text =txtHorzSize.Text;
            txtVScale.Text = txtVertSize.Text;
			
			iCapturedScaleWidth=0;
			iCapturedScaleHeight=0;
			
			//iHSize=Convert.ToInt32(txtHorzSize.Text); 
			//iVSize=Convert.ToInt32(txtVertSize.Text);
			
			//iHPos=Convert.ToInt32(txtHorzPos.Text);
			//iVPos=Convert.ToInt32(txtVertPos.Text);
            
			//iXCropStart=Convert.ToInt32(txtXCrop.Text);
			//iYCropStart=Convert.ToInt32(txtYCrop.Text);

            
            //**************************** Scaling is not supporte in this version
            iHScale = iHSize; //Convert.ToInt32(txtHScale.Text);
            iVScale = iVSize;//Convert.ToInt32(txtVScale.Text);
			
			hScrollBarFlashLevel.Value=FlashIrisLevel;

			//************* Rotate Video for the Zoom Camera
            VALCam_Control(VC_RotateLiveDisplay,90,0,0,0);	
			RotationValue=90;
	
			// Set Crop Parameters for Live Display and Capture
			VALCam_Control(VC_SetCropParameters,iXCropStart,iYCropStart,iHSize,iVSize); 
			
			DisplayVideoWindow.ClientSize=new Size(iHSize,iVSize);
			DisplayVideoWindow.Location =new Point(Location.X+Size.Width +2,Location.Y );
			
			numericUpDownCaptureSharpness.Value=CaptureSharpness;

            DisplayVideoWindow.Show();	
			//ErrorLevel=VALCam_Control(VC_DisplayVideo,0,0,iHSize,iVSize);			/Orig

           // iHScale = iHScale / 2;
           // iVScale = iVScale / 2;
            ErrorLevel = VALCam_Control(VC_DisplayVideo, 0, 0,iHScale, iVScale);

           // MessageBox.Show("delay");
          //  ErrorLevel = VALCam_Control(VC_DisplayVideo, iHPos, iVPos, iHScale, iVScale);
          
            
            
            if (ErrorLevel<0)
			{
				MessageBox.Show("Error = ",ErrorLevel.ToString());
			}
				
			EnableButtons();
			if (bFlashOn==false)
			{
				btnCapture.Text ="Live Capture";
			}
			else
			{
				btnCapture.Text ="Flash Capture";				
			}	
			//DisplayVideoWindow.Show();	
		}
       

		//****  Call This function to change live video display position, size and cropping values
		
		private void btnDisplayVideo_Click(object sender, System.EventArgs e)
		{
			
			iHSize=Convert.ToInt32(txtHorzSize.Text);
			iVSize=Convert.ToInt32(txtVertSize.Text);
			
			iHPos=Convert.ToInt32(txtHorzPos.Text);
			iVPos=Convert.ToInt32(txtVertPos.Text);
			
			iXCropStart=Convert.ToInt32(txtXCrop.Text);
			iYCropStart=Convert.ToInt32(txtYCrop.Text);
            
			//Added Back in for Scaling
            iHScale= Convert.ToInt32(txtHScale.Text);
			iVScale=Convert.ToInt32(txtVScale.Text);

			if (RotationValue==0)
			{
				if (iHSize>640) iHSize=629;  if (iHSize<100) iHSize=100;
				if (iVSize>480)  iVSize=474; if (iVSize<100) iHSize=100;
			}
			else
			{ 
				if (iHSize>480) iHSize=476;  if (iHSize<100) iHSize=100;
				if (iVSize>640)  iVSize=635; if (iVSize<100) iHSize=100;
			}

            /* Removed for scaling
            //iHScale = iHSize;  //Added in Until Scaling is supported
            //iVScale = iVSize;  //Added in Until Scaling is supported 
            */
           
            // DisplayVideoWindow.ClientSize = new Size(iHSize, iVSize);
            
            /*
            if (iHScale/iVScale!=iHSize/iVSize)
			{
             * 
				MessageBox.Show("Waring: Original aspect ratio changed.");
			}
			*/

			VALCam_Control(VC_SetCropParameters,iXCropStart,iYCropStart,iHSize,iVSize); 
			
			ErrorLevel=VALCam_Control(VC_DisplayVideo,iHPos,iVPos,iHScale,iVScale);


            
            //    ErrorLevel=VALCam_Control(VC_DisplayVideo,iHPos,iVPos,240,320);	
			
            if (ErrorLevel<0)
			{
				MessageBox.Show("Error in System, Reinitialize camera");
			}
          //  DisplayVideoWindow.ClientSize = new Size(iHSize, iVSize);
          //  DisplayVideoWindow.Show();
			
		}
       
		// ** This call will unload driver. Must call VC_InitSystem to restart 
		private void Form1_Closed(object sender, System.EventArgs e)
		{
			
            //**********Stop Writing live Video To Window 
            //**********Must call this function before Closing DLL or changing live video to another Window
            VALCam_Control(VC_NoVideoDisplay,0,0,0,0);
			
            //***************** Unloads DLL. This should be done before exiting application
            VALCam_Control(VC_CloseCard,0,0,0,0);
           // EnableControls1(false);
		}

		// ** Call this command to Stop and Start the live video display.
		// ** When this command is used to stop video, system resources are freeded
		// ** Use this command when you do not want to display and reduce use of system 
		// ** resources.

		private void btnFreeze_Click(object sender, System.EventArgs e)
		{
			if (bFrozen==false)
			{
				//********* This will freeze live Video and release resources. This should be called when not displaying live video
                VALCam_Control(VC_Freeze,0,0,0,0);
				btnFreeze.Text="UnFreeze";
				bFrozen=true;
			}
			else
			{
				//This will display live video
                VALCam_Control(VC_Freeze,1,0,0,0);
				btnFreeze.Text="Freeze";
				bFrozen=false;
			}
		}

		//***** Start Zoom and zoom speed settings
        private void btnZoomIn_MouseDown(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			if (CameraMotion!=eCameraMotion.None) //Prevent redundant calling
				return;

			switch(iPTZSpeed)
			{
				case 0:	
					VALCam_Control(VC_ZoomInSlow,0,0,0,0);
					break;
				case 1:	VALCam_Control(VC_ZoomIn,0,0,0,0);
					break;
				case 2:	VALCam_Control(VC_ZoomInFast,0,0,0,0);
					break;
				default:VALCam_Control(VC_ZoomIn,0,0,0,0);
					break;
			}
			CameraMotion=eCameraMotion.ZoomIn;			
		}

		//*********************Stop all Zooming action
		private void button8_MouseUp(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			
			
			VALCam_Control(VC_ZoomStop,0,0,0,0);
			int ZoomValue=VALCam_Control(VC_ReadZoomPosition,0,0,0,0);
			if (ZoomValue>16510)  
				ZoomValue=16510;
			hScrollBarZoom.Value=ZoomValue;
			
		    txtZoomPos.Text=ZoomValue.ToString();
		    
			CameraMotion=eCameraMotion.None; 

		}
		//***********************Zoom Out
		private void btnZoomOut_MouseDown(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			if (CameraMotion!=eCameraMotion.None)
				return;

			switch(iPTZSpeed)
			{
				case 0:	
					VALCam_Control(VC_ZoomOutSlow,0,0,0,0);
					break;
				case 1:	VALCam_Control(VC_ZoomOut,0,0,0,0);
					break;
				case 2:	VALCam_Control(VC_ZoomOutFast,0,0,0,0);
					break;
				default:VALCam_Control(VC_ZoomOut,0,0,0,0);
					break;
			}
			CameraMotion=eCameraMotion.ZoomOut;
		}

		
		// Change Red Gain in Live and Flash Modes
		private void LiveRedUpDown_ValueChanged(object sender, System.EventArgs e)
		{   
			if (bFlashOn==false)
			{
				iRedGain=(int)RedUpDown.Value;
				//** Changes Live Red Gain. Instantly viewable. 
				//** Does not effect Flash Results
				VALCam_Control(VC_SetRedLive,(int)RedUpDown.Value,0,0,0);	
			}
			else
			{
				iFlashRedGain=(int)RedUpDown.Value;
				//** Changes Red Gain for Flash Captures. Does not effect live video
				//** Results show in Flash capture.
				
				VALCam_Control(VC_SetRedFlash,(int)RedUpDown.Value,0,0,0);
			}
		}

        // Change Red Gain in Live and Flash Modes
        private void LiveBlueUpDown_ValueChanged_1(object sender, System.EventArgs e)
		{
			if (bFlashOn==false)
			{
				iBlueGain=(int)BlueUpDown.Value;
				//** Changes Live Blue Gain. Instantly viewable. 
				//** Does not effect Flash Results

				VALCam_Control(VC_SetBlueLive,(int)BlueUpDown.Value,0,0,0);	
			}
			else
			{
				iFlashBlueGain=(int)BlueUpDown.Value;
				//** Changes Red Gain for Flash Captures. Does not effect live video
				//** Results show in Flash capture.
				
				VALCam_Control(VC_SetBlueFlash,(int)BlueUpDown.Value,0,0,0);
			}
		}

        // This does Nothing
		
        /*
        private void LiveColorUpDown_ValueChanged(object sender, System.EventArgs e)
		{
			if (bFlashOn==false)
			{
				iColorGain=(int)ColorUpDown.Value;
				//** Changes Live Color saturation. Instantly viewable. 
				//** Does not effect Flash Results
				
				VALCam_Control(VC_SetColorLive,(int)ColorUpDown.Value,0,0,0);	
			}
			else
			{
				iFlashColorGain=(int)ColorUpDown.Value;
				//** Changes Color Gain for Flash Captures. Does not effect live video
				//** Results show in Flash capture. Effects Color intensity

				VALCam_Control(VC_SetColorFlash,(int)ColorUpDown.Value,0,0,0);	
			}
		}

		*/
		//** This routine sets Flash intensity level. The adjustment needs to compensate for 
		//** different subject distance from the camera.
		//** Higher values will be needed when subject distance increases from camera.
		//** If Flash results or too bright or too dark this adjustment will be needed.
		private void SetFlashIrisString()
		{
			
			switch (FlashIrisLevel)
			{
				case 1:
					strFlashIris="1  <3 inches";
					FlashDistanceCompensation=1;
					break;
				case 2:
					strFlashIris="2 4 inches"; 
					FlashDistanceCompensation=1;
					break;
				case 3:
					strFlashIris="3 5 inches"; 
					FlashDistanceCompensation=1;
					break;
				case 4:
					strFlashIris="4 6 inches"; 
					FlashDistanceCompensation=1;
					break;
				case 5:
					strFlashIris="5 6.5 inches"; 
					FlashDistanceCompensation=1;
					break;
				case 6:
					strFlashIris="6  8 inches"; 
					FlashDistanceCompensation=1;
					break;
				case 7:
					strFlashIris="7  1 foot"; 
					FlashDistanceCompensation=1;
					break;
				case 8:
					strFlashIris="8 1.2 feet"; 
					FlashDistanceCompensation=2;
					break;
				case 9:
					strFlashIris="9 1.3 feet"; 
					FlashDistanceCompensation=2;
					break;
				case 10:
					strFlashIris="10 1.5 feet"; 
					FlashDistanceCompensation=2;
					break;
				case 11:
					strFlashIris="11 1.6 feet"; 
					FlashDistanceCompensation=3;
					break;
				case 12:
					strFlashIris="12 1.8 feet"; 
					FlashDistanceCompensation=3;
					break;
				case 13:
					strFlashIris="13 2 feet"; 
					FlashDistanceCompensation=3;
					break;
				case 14:
					strFlashIris="14 2.5 feet"; 
					FlashDistanceCompensation=4;
					break;
				case 15:
					strFlashIris="15 3 feet"; 
					FlashDistanceCompensation=4;
					break;
				case 16:
					strFlashIris="16 3.5 feet"; 
					FlashDistanceCompensation=4;
					break;
				case 17:
					strFlashIris="17 4 feet"; 
					FlashDistanceCompensation=4;
					break;
				case 18:
					strFlashIris="18 5 feet"; 
					FlashDistanceCompensation=5;
					break;
				case 19:
					strFlashIris="19 5.5 feet"; 
					FlashDistanceCompensation=5;
					break;
				case 20:
					strFlashIris="20 6 feet"; 
					FlashDistanceCompensation=5;
					break;
				case 21:
					strFlashIris="21 7 feet"; 
					FlashDistanceCompensation=6;
					break;
				case 22:
					strFlashIris="22 8 feet"; 
					FlashDistanceCompensation=6;
					break;
				case 23:
					strFlashIris="23 9 feet"; 
					FlashDistanceCompensation=6;
					break;
				case 24:
					strFlashIris="24 10 feet"; 
					FlashDistanceCompensation=6;
					break;
				case 25:
					strFlashIris="25 11 feet"; 
					FlashDistanceCompensation=7;
					break;
				case 26:
					strFlashIris="26 11.5 feet"; 
					FlashDistanceCompensation=7;
					break;
				case 27:
					strFlashIris="27 12 feet"; 
					FlashDistanceCompensation=7;
					break;
				case 28:
					strFlashIris="28 12.5 feet"; 
					FlashDistanceCompensation=7;
					break;
				case 29:
					strFlashIris="29 13 feet"; 
					FlashDistanceCompensation=8;
					break;
				case 30:
					strFlashIris="30 14-15 feet"; 
					FlashDistanceCompensation=8;
					break;
				case 31:
					strFlashIris="31 16-17 feet"; 
					FlashDistanceCompensation=8;
					break;
				case 32:
					strFlashIris="32 18-20 feet"; 
					FlashDistanceCompensation=8;
					break;
				
			}
			FlashIris_textbox.Text=strFlashIris;
		}

		private void IrisUp_Click(object sender, System.EventArgs e)
		{			
			
			//** This command adjust the live preview Iris.
			//** Flash intensity is not adjusted
			
			if (bFlashOn==true)
			{
				FlashIrisLevel++;
				if (FlashIrisLevel>32) FlashIrisLevel=32;
				VALCam_Control(VC_SetFlashIrisLevel,FlashIrisLevel,0,0,0);
				SetFlashIrisString();
				hScrollBarFlashLevel.Value=FlashIrisLevel;
			}
			else
			{
				VALCam_Control(VC_LiveIrisUp,0,0,0,0);
				int LiveBrightnessLevel=VALCam_Control(VC_ReturnLiveBrightness,0,0,0,0);
				hScrollBarSetLiveBrightness.Value=LiveBrightnessLevel; 
			}
		}

		
		private void IrisDown_Click(object sender, System.EventArgs e)
		{
			//** This command adjust the live preview Iris.
			//** Flash intensity is not adjusted
			if (bFlashOn==true)
			{
				FlashIrisLevel--;
				if (FlashIrisLevel<=1) FlashIrisLevel=1;
				VALCam_Control(VC_SetFlashIrisLevel,FlashIrisLevel,0,0,0);
				SetFlashIrisString();
				hScrollBarFlashLevel.Value=FlashIrisLevel;
			}
			
			else
			{
				VALCam_Control(VC_LiveIrisDown,0,0,0,0);
				int LiveBrightnessLevel=VALCam_Control(VC_ReturnLiveBrightness,0,0,0,0);
				hScrollBarSetLiveBrightness.Value=LiveBrightnessLevel; 
			}
	
		}

		//Read return Parameters for systems. These values are save between session in 
		//"DCS8000 USB SDK.INI"
		
		private void ReadCurrentParameters()
		{
            int bAutoWhite;
            int FlashCorrectionType;
            int CurrentBrightnessLevel;
            int RedColorCorrection;
            int BlueColorCorrection;
					 			 
            VALCam_ReadReturnParameters(ref ReturnValues);

			iRedGain=ReturnValues.ReturnLiveRed;
            iBlueGain = ReturnValues.ReturnLiveBlue;                                                           
            bAutoWhite = ReturnValues.ReturnAutoWhite;
            iFlashRedGain = ReturnValues.ReturnFlashRed;
            iFlashBlueGain = ReturnValues.ReturnFlashBlue;
            FlashIrisLevel = ReturnValues.ReturnFlashIris;
            FGSharpness = ReturnValues.ReturnCameraSharpness;
            CaptureSharpness = ReturnValues.ReturnImageSharpness;
            FlashCorrectionType = ReturnValues.ReturnFlashCorrection;
            CurrentBrightnessLevel = ReturnValues.ReturnLiveIrisLevel;
            RedColorCorrection = ReturnValues.ReturnRedPaint;
            BlueColorCorrection = ReturnValues.ReturnBluePaint;
            iPTZSpeed = ReturnValues.ReturnZoomSpeed;
            iHSize = ReturnValues.ReturnCropWidth;
            iVSize = ReturnValues.ReturnCropHeight;
            iXCropStart = ReturnValues.ReturnCropStartX;
            iYCropStart = ReturnValues.ReturnCropStartY;
            iZoomPosition = ReturnValues.ReturnZoomArray;
			
            if (iRedGain<-25) iRedGain=-25;
			if (iRedGain>25) iRedGain=25;
			if (radioButtonFlashOff.Checked==true)
				{
					RedUpDown.Value=iRedGain;
				}
			
            iBlueGain=ReturnValues.ReturnLiveBlue;
			if (iBlueGain<-25) iBlueGain=-25;
			if (iBlueGain>25)iBlueGain =25;
			if (radioButtonFlashOff.Checked==true)
				{ 
					BlueUpDown.Value=iBlueGain;
				}			
				
			if (bAutoWhite==1)
            {   	
				VALCam_Control(VC_AutoWhite,0,0,0,0);		
			}
				
			
			iFlashRedGain=ReturnValues.ReturnFlashRed;
			if (iFlashRedGain<-25) iFlashRedGain=-25;
			if (iFlashRedGain > 25) iFlashRedGain=25;
			if (radioButtonFlashOn.Checked==true)
			{
				RedUpDown.Value=iFlashRedGain;
			}
			
			iFlashBlueGain=ReturnValues.ReturnFlashBlue;
			if (iFlashBlueGain<-25) iFlashBlueGain=-25;
			if (iFlashBlueGain>25) iFlashBlueGain=25;
			if (radioButtonFlashOn.Checked==true)
			{
				BlueUpDown.Value=iFlashBlueGain;
			}
     
			if (radioButtonFlashOn.Checked==true)
			{
				FlashIris_textbox.Text=FlashIrisLevel.ToString();//FlashIrisLevel.ToString() ;
			}
			else
			{
				FlashIris_textbox.Text="NA";
			}
			
			numericUpDownLiveSharpness.Value=FGSharpness;

			numericUpDownCaptureSharpness.Value=CaptureSharpness;

		  switch(FlashCorrectionType)
			{
				case 0:
					radioButtonCorrectionOff.Checked=true;
					break;
				case 1:
					radioButtonCorrectionOn.Checked =true;
					break;
				default:
					radioButtonCorrectionOff.Checked=true;
					break;			
			}
           
            hScrollBarSetLiveBrightness.Value = CurrentBrightnessLevel;

			vScrollBarRedPaint.Value=-(RedColorCorrection);
			textBoxRedColorCorrection.Text=RedColorCorrection.ToString();

			
			vScrollBarBluePaint.Value=-(BlueColorCorrection);
			textBoxBlueColorCorrection.Text=BlueColorCorrection.ToString();
		
 }

		//**Change Frame Grabber Sharpness
		//** This changes are instantly viewable
       /*
		private void radioButton3_CheckedChanged(object sender, System.EventArgs e)
		{
			FGSharpness=2;	
			VALCam_Control(VC_SetFrameGrabberSharpness,FGSharpness,0,0,0);
		}

		private void radioButton1_CheckedChanged(object sender, System.EventArgs e)
		{
			FGSharpness=0;	
			VALCam_Control(VC_SetFrameGrabberSharpness,FGSharpness,0,0,0);
		}

		private void radioButton2_CheckedChanged(object sender, System.EventArgs e)
		{
			FGSharpness=1;	
			VALCam_Control(VC_SetFrameGrabberSharpness,FGSharpness,0,0,0);
		}

		private void radioButton4_CheckedChanged(object sender, System.EventArgs e)
		{
			FGSharpness=3;	
			VALCam_Control(VC_SetFrameGrabberSharpness,FGSharpness,0,0,0);
		}

		private void radioButton5_CheckedChanged(object sender, System.EventArgs e)
		{
			FGSharpness=4;	
			VALCam_Control(VC_SetFrameGrabberSharpness,FGSharpness,0,0,0);
		}
        */
		
		//** Change Capture Sharpness.
		//** These changes are only viewable after capture.
		//** Live preview is not effected
		//** This value is used in Param1 of the Capture Command

		

		//Set Preview and Flash Defaults
		private void btnPreviewDefaults_Click(object sender, System.EventArgs e)
		{
			if (radioButtonFlashOn.Checked==false)
			{
				VALCam_Control(VC_SetPreviewDefaults,0,0,0,0);	
			}
			else
			{
				VALCam_Control(VC_SetFlashDefaults,0,0,0,0);
			}

			ReadCurrentParameters();
		}

		
		
        // Freezes Video And Releases Resources
		private void btnTurnOffVideo_Click(object sender, System.EventArgs e)
		{
			//VALCam_Control(VC_NoVideoDisplay,0,0,0,0);
			
			VALCam_Control(VC_Freeze,0,1,0,0);
			
		}

		// ** This call will unload driver. Must call VC_InitSystem to restart 
		
		private void CloseCard_Click(object sender, System.EventArgs e)
		{
			VALCam_Control(VC_CloseCard,0,0,0,0); //Already Closed
		}

		
		//Routine used to capture with or without Flash
		//Param1 controls "Capture Sharpness"
		//Param4 control capture type: DIB,DDB,Clipboard,BMP, JPG (with quantization factor)
		

		private void DisplayPreviewCapture()
		{
			
			VALCam_Control(VC_Freeze,0,1,0,0);
			DisplayVideoWindow.Visible=false;
			
			IncreaseScreenSize();
			
			btnClear.Location=new Point(OriginalSize.Width,iVSize);			
			
			btnClear.Width=iHSize/2;
			btnClear.Visible=true;		
			btnClear.Enabled=true;
			
			btnSaveImage.Location=new Point(OriginalSize.Width + iHSize/2,iVSize);
			btnSaveImage.Width=btnClear.Width=iHSize/2;
			btnSaveImage.Enabled=true;
			btnSaveImage.Visible=true;
			
			btnCapture.Enabled=false;

			vScrollBarRedPaint.Enabled=true;
            vScrollBarBluePaint.Enabled=true;
			
			if (radioPreviewOn.Checked==true)
			{
				int Error=VALCam_Control(VC_DisplayCapture,(int)Handle,OriginalSize.Width,0,0);
				if (Error<1)
				{
					MessageBox.Show("Error # " + Error.ToString() + " in VC_LiveCapture command");					
				}
			}
	     
		}

		//Capture Routine - This will be rewritten
		
		private void btnCapture_Click(object sender, System.EventArgs e)
		{
			int Error;
			eCaptureType CaptureType;
				
			if (btnClear.Visible==true)
			{
				//ClearCapture();			
			}
			
			//*** Check to see if Scaling Parameters have changed*********************************
			if ((iCapturedScaleWidth!=(Convert.ToInt32 (txtCapturedScaleWidth.Text))) || (iCapturedScaleHeight!=(Convert.ToInt32(txtCapturedScaleHeight.Text))));
		    {
				iCapturedScaleWidth=Convert.ToInt32 (txtCapturedScaleWidth.Text ); 
				iCapturedScaleHeight=Convert.ToInt32 (txtCapturedScaleHeight.Text );
				VALCam_Control(VC_ScaleCapturedImage,iCapturedScaleWidth,iCapturedScaleHeight,0,0);
		    }
							
			int PreviewCapture;
			if (radioPreviewOn.Checked==true)
				PreviewCapture=1;
			else
				PreviewCapture=0;

			int LiveOrFlashCapture;
			if (bFlashOn==false)
				LiveOrFlashCapture=VC_LiveCapture;
			else
				LiveOrFlashCapture=VC_FlashCapture;

			ImageHandle = VALCam_Control(LiveOrFlashCapture,CaptureSharpness,PreviewCapture,0,iCaptureType);
			if (((ImageHandle<1) && (iCaptureType>=2))|| ((ImageHandle==0) && (iCaptureType<2))) 
			{
				MessageBox.Show("Error # " + ImageHandle.ToString() + " in VC_LiveCapture command");					
				
			}	
			else
			{
				if (PreviewCapture==1)
					DisplayPreviewCapture();
				
				else //Preview is off, Image Capture is DDB or DIB, free memory
					if (iCaptureType==0) 
					 Error= GlobalFree(ImageHandle);//Free DIB memory
				    else
					if (iCaptureType==1)
					 DeleteObject(ImageHandle); //Free DDB memory
			}
				
		}
		
		private void Size_Click(object sender, System.EventArgs e)
		{
			//pictureBox1.Visible =false;
			//VALCam_Control(VC_SendWindowHandle,(int)Handle,0,0,0); 
			//VALCam_Control(VC_Freeze,1,0,0,0);
		}

		private void Form1_Load(object sender, System.EventArgs e)
		{
           // EnableControls(false);
		}

		private void radioButtonFlashOff_CheckedChanged(object sender, System.EventArgs e)
		{
			
			
			bFlashOn=false;
		//	btnCapture.Enabled =true;
			
			lblRed.Text="Live Red";
			lblBlue.Text="Live Blue";
			//lblColor.Text ="Live Color";
			IrisUp.Text="Live Iris Up";
			IrisDown.Text="Live Iris Down";
			btnCapture.Text="Live Capture";

			RedUpDown.Value=iRedGain;
			BlueUpDown.Value=iBlueGain;
			//ColorUpDown.Value=iColorGain;
			LivAdjustments.Text="Live Adjustments";
			btnPreviewDefaults.Text="Live Defaults";
			FlashIris_textbox.Text="NA";
			btnCapture.Text="Live Capture";
			
		}

		private void radioButtonFlashOn_CheckedChanged(object sender, System.EventArgs e)
		{ 
		    
			bFlashOn=true;
		//	btnCapture.Enabled =true;
		//	btnCapture.Text ="Flash On";
	
			lblRed.Text="Flash Red";
			lblBlue.Text="Flash Blue";
			//lblColor.Text ="Flash Color";
			IrisUp.Text="Flash Iris Up";
			IrisDown.Text="Flash Iris Down";
			btnCapture.Text="Flash Capture";
			LivAdjustments.Text="Flash Adjustments";

			RedUpDown.Value=iFlashRedGain;
			BlueUpDown.Value=iFlashBlueGain;
			//ColorUpDown.Value=iFlashColorGain;
			btnPreviewDefaults.Text="Flash Defaults";
			FlashIris_textbox.Text=Convert.ToString(FlashIrisLevel);

			SetFlashIrisString();
			btnCapture.Text="Flash Capture";
			
		}

       	

		private void radioButtonPTZSlow_CheckedChanged(object sender, System.EventArgs e)
		{
			iPTZSpeed=0;
		}		

		private void radioButtonPTZMed_CheckedChanged(object sender, System.EventArgs e)
		{
			iPTZSpeed=1;
		}

		private void radioButtonFast_CheckedChanged(object sender, System.EventArgs e)
		{
			iPTZSpeed=2;
		}

		private void radioButtonCaptureDDB_CheckedChanged(object sender, System.EventArgs e)
		{
			iCaptureType=1;
		}

		private void radioButtonCaptureTypeDIB_CheckedChanged(object sender, System.EventArgs e)
		{
			iCaptureType=0; //Save as DDB for use with .NET Objects
		}

		private void radioButtonCaptureTypeClipBoard_CheckedChanged(object sender, System.EventArgs e)
		{
			iCaptureType=2;//Save to Clipboard
		}

		private void radioButtonCaptureTypeJPG_CheckedChanged(object sender, System.EventArgs e)
		{
			iCaptureType=4;// Save as JPG file with quantizatoion of 20
		}

		private void radioButtonCaptureTypeBMP_CheckedChanged(object sender, System.EventArgs e)
		{
			iCaptureType=3; //Save a BMP File
		}

		private void btnClear_Click(object sender, System.EventArgs e)
		{	int Result;	
			VALCam_Control(VC_DiscardPreviewImage,0,0,0,0);
			btnClear.Visible=false;		
			btnSaveImage.Visible=false;
			//pictureBox1.Visible=false;
		
			Size=OriginalSize;//new Size(272,908);
			
			btnCapture.Enabled =true;
			vScrollBarRedPaint.Enabled=false;
			vScrollBarBluePaint.Enabled=false; 
			
			//*************** Free Memory of DIBS and DDBS************************
			if (iCaptureType==0)
				GlobalFree(ImageHandle);//Free memory of DIB
			else
				if (iCaptureType==1)
				  DeleteObject(ImageHandle); //Free memory of DDB
           //*********************************************************************
            //VALCam_Control(VC_SetCropParameters,iXCropStart,iYCropStart,iHSize,iVSize);  
			
			ErrorLevel=VALCam_Control(VC_DisplayVideo,iHPos,iVPos,iHScale,iVScale);
			if (ErrorLevel<0)
			{
				MessageBox.Show("Error in camera system, Reinitialize camera");
			}
			DisplayVideoWindow.Show();
		    
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
            DisplayVideoWindow.Close();
            EnableControls(false);
			ShowImage=false;
			VALCam_Control(VC_NoVideoDisplay,0,0,0,0);
		    VALCam_Control(VC_CloseCard,(int)Handle,0,0,0);
            
			
		}

		

		private void radioButton1_CheckedChanged_1(object sender, System.EventArgs e)
		{
			DisplayVideoWindow.Visible =false;
			
			
			
			txtHorzPos.Text ="0";
			txtVertPos.Text="0";
			txtHorzSize.Text="625";
			txtVertSize.Text ="477";
			txtXCrop.Text="4";
			txtYCrop.Text ="3";
			
			txtHScale.Text ="625";
			txtVScale.Text="477";
		    
			iHSize=625;
			iVSize=477;
			iHScale=iHSize;
			iVScale=iVSize;

			iXCropStart=Convert.ToInt32(txtXCrop.Text); 
			iYCropStart=Convert.ToInt32(txtYCrop.Text);
			  
			VALCam_Control(VC_RotateLiveDisplay,0,0,0,0);	
			//VALCam_Control(VC_SendWindowHandle,(int)DisplayVideoWindow.Handle,0,0,0); //Send Handle of Window to display to Dll
			VALCam_Control(VC_SetCropParameters,iXCropStart,iYCropStart,iHSize,iVSize); 
			
			ErrorLevel=VALCam_Control(VC_DisplayVideo,0,0,iHScale,iVScale);
            if (ErrorLevel<0)
			{
				MessageBox.Show("Error in camera system, Reinitialize camera");
			}
			DisplayVideoWindow.ClientSize =new Size (iHScale,iVScale);
			DisplayVideoWindow.Visible =true;
			RotationValue=0;
		}

		private void radioButton2_CheckedChanged_1(object sender, System.EventArgs e)
		{
			DisplayVideoWindow.Visible =false;
			txtHorzPos.Text ="0";
			txtVertPos.Text="0";
			txtHorzSize.Text="475";
			txtVertSize.Text ="625";
			txtXCrop.Text="2";
			txtYCrop.Text ="4";
			
			txtHScale.Text ="475";
			txtVScale.Text="625";

			iXCropStart=Convert.ToInt32(txtXCrop.Text); 
			iYCropStart=Convert.ToInt32(txtYCrop.Text);
			
			iHSize=Convert.ToInt32(txtHorzSize.Text); 
			iVSize=Convert.ToInt32(txtVertSize.Text); 
			iHScale=iHSize;
			iVScale=iVSize;

			btnClear.Location=new Point(iHPos,iVPos + iVSize +1);  
			VALCam_Control(VC_RotateLiveDisplay,90,0,0,0);	
			VALCam_Control(VC_SendWindowHandle,(int)DisplayVideoWindow.Handle,0,0,0); //Send Handle of Window to display to Dll
			VALCam_Control(VC_SetCropParameters,iXCropStart,iYCropStart,iHSize,iVSize); 
			
			ErrorLevel=VALCam_Control(VC_DisplayVideo,0,0,iHScale,iVScale);
            if (ErrorLevel<0)
			{
				MessageBox.Show("Error in camera system, Reinitialize camera");
			}
			
			DisplayVideoWindow.ClientSize =new Size (475,625);
			DisplayVideoWindow.Visible =true;
			RotationValue=90;
		
		}

		private void radioButton3_CheckedChanged_1(object sender, System.EventArgs e)
		{
			DisplayVideoWindow.Visible =false;
			txtHorzPos.Text ="0";
			txtVertPos.Text="0";
			txtHorzSize.Text="478";
			txtVertSize.Text ="625";
			txtXCrop.Text="2";
			txtYCrop.Text ="11";
			txtHScale.Text ="478";
			txtVScale.Text="625";
			
			iXCropStart=Convert.ToInt32(txtXCrop.Text); 
			iYCropStart=Convert.ToInt32(txtYCrop.Text);
			
			iHSize=Convert.ToInt32(txtHorzSize.Text); 
			iVSize=Convert.ToInt32(txtVertSize.Text); 
            iHScale=iHSize;
			iVScale=iVSize;

			VALCam_Control(VC_RotateLiveDisplay,270,0,0,0);	
			VALCam_Control(VC_SendWindowHandle,(int)DisplayVideoWindow.Handle,0,0,0); //Send Handle of Window to display to Dll
			VALCam_Control(VC_SetCropParameters,iXCropStart,iYCropStart,iHSize,iVSize); 
			
			ErrorLevel=VALCam_Control(VC_DisplayVideo,0,0,iHScale,iVScale);
            if (ErrorLevel<0)
			{
				MessageBox.Show("Error in camera system, Reinitialize camera");
			}
			
			DisplayVideoWindow.ClientSize =new Size (iHScale,iVScale);
			DisplayVideoWindow.Visible =true;
			RotationValue=270;
		}

		private void btnReadZoom_Click(object sender, System.EventArgs e)
		{ 
			int ZoomPosition;
			ZoomPosition=VALCam_Control(VC_ReadZoomPosition,0,0,0,0);
			if (ZoomPosition>=16531) ZoomPosition=16531;
			txtZoomPos.Text=ZoomPosition.ToString();
		}

		private void btnSetZoomPos_Click(object sender, System.EventArgs e)
		{
			VALCam_Control(VC_SetZoomPosition,Convert.ToInt32(txtZoomPos.Text),0,0,0);
		}

		

		private void numericUpDownCaptureSharpness_ValueChanged(object sender, System.EventArgs e)
		{
		
			CaptureSharpness=(int)(numericUpDownCaptureSharpness.Value);
		}

		private void numericUpDownLiveSharpness_ValueChanged(object sender, System.EventArgs e)
		{
			FGSharpness=(int)numericUpDownLiveSharpness.Value;	
			VALCam_Control(VC_SetFrameGrabberSharpness,FGSharpness,0,0,0);
		}

		

		private void btnAutoWhite_Click(object sender, System.EventArgs e)
		{
			
			iRedGain=0;
			iBlueGain=0;
			if (bFlashOn==false)
			{
				RedUpDown.Value =0;
				BlueUpDown.Value=0;
			}
			VALCam_Control(VC_AutoWhite,0,0,0,0);
		}

		private void radioRawPixels_CheckedChanged(object sender, System.EventArgs e)
		{
			
			if (radioRawPixels.Checked==true)
			{
				iCapturedScaleWidth=0;// Set to zero. The captured image will not be scaled. 
				iCapturedScaleHeight=0;// Only Raw pixels used.
				VALCam_Control(VC_ScaleCapturedImage,iCapturedScaleWidth,iCapturedScaleHeight,0,0);
				txtCapturedScaleWidth.Text=iCapturedScaleWidth.ToString();
				txtCapturedScaleHeight.Text=iCapturedScaleHeight.ToString();
				txtCapturedScaleWidth.Enabled =false;
				txtCapturedScaleHeight.Enabled =false;
			}
		}

		private void radioScalePixels_CheckedChanged(object sender, System.EventArgs e)
		{
			if (radioScalePixels.Checked ==true)
			{
				txtCapturedScaleWidth.Enabled =true;
				txtCapturedScaleHeight.Enabled =true;
			}
		}

		private void bntTiltUp_MouseDown(object sender, System.Windows.Forms.MouseEventArgs e)
		{
			if (CameraMotion!=eCameraMotion.None) //Prevent redundant calling
				return;

			switch(iPTZSpeed)
			{
				case 0:	
					VALCam_Control(VC_TiltUpSlow,0,0,0,0);
					break;
				case 1:	VALCam_Control(VC_TiltUp,0,0,0,0);
					break;
				case 2:	VALCam_Control(VC_TiltUpFast,0,0,0,0);
					break;
				default:VALCam_Control(VC_TiltUp,0,0,0,0);
					break;
			}
			CameraMotion=eCameraMotion.TiltUp;			
		}
      
	

		private void btnHome_Click(object sender, System.EventArgs e)
		{
			VALCam_Control(VC_SetPanTiltCenter,0,0,0,0);
		}

		

		private void radioButtonCorrectionOff_CheckedChanged(object sender, System.EventArgs e)
		{  //************** Set for No Correction for Flash **************
			if (radioButtonCorrectionOff.Checked ==true)
			{
				VALCam_Control(VC_SetFlashColorCorrectionType,0,0,0,0);
			}
			
		}

		private void radioButtonCorrectionOn_CheckedChanged(object sender, System.EventArgs e)
		{  //************** Set For Fluorescenct Lighting for Flash **************
			if (radioButtonCorrectionOn.Checked ==true)
			{
				VALCam_Control(VC_SetFlashColorCorrectionType,1,0,0,0);
			}
		}

		private void hScrollBarSetLiveBrightness_Scroll(object sender, System.Windows.Forms.ScrollEventArgs e)
		{
			VALCam_Control(VC_SetLiveBrightness,hScrollBarSetLiveBrightness.Value,0,0,0);
		}

		private void button1_Click_1(object sender, System.EventArgs e)
		{
		    ErrorLevel=VALCam_Control(VC_DisplayVideo,0,0,iHScale,iVScale);
			btnFreeze.Text="Freeze";
			if (ErrorLevel<0)
			{
				MessageBox.Show("Error in camera system, Reinitialize camera");
			}
		}

		private void hScrollBarZoom_Scroll(object sender, System.Windows.Forms.ScrollEventArgs e)
		{
			int ZoomValue;
			ZoomValue=hScrollBarZoom.Value;
			VALCam_Control(VC_SetZoomPosition,ZoomValue,0,0,0);
			txtZoomPos.Text=ZoomValue.ToString();
		}

		private void hScrollBarFlashLevel_Scroll(object sender, System.Windows.Forms.ScrollEventArgs e)
		{
			FlashIrisLevel=hScrollBarFlashLevel.Value;
			VALCam_Control(VC_SetFlashIrisLevel,FlashIrisLevel,0,0,0);
			SetFlashIrisString();
		}

		private void radioButtonFlashOff_CheckedChanged_1(object sender, System.EventArgs e)
		{
			/*
			bFlashOn=false;
			//btnCapture.Enabled =true;
			//btnCapture.Text ="Flash On";
			lblRed.Text="Live Red";
			lblBlue.Text="Live Blue";
			lblColor.Text ="Live Color";
			IrisUp.Text="Live Iris Up";
			IrisDown.Text="Live Iris Down";
			btnCapture.Text="Live Capture";

			RedUpDown.Value=iRedGain;
			BlueUpDown.Value=iBlueGain;
			ColorUpDown.Value=iColorGain;
			LivAdjustments.Text="Live Adjustments";
			btnPreviewDefaults.Text="Live Defaults";
			FlashIris_textbox.Text="NA";
            */
			
		}

		private void radioButtonFlashOn_CheckedChanged_1(object sender, System.EventArgs e)
		{
		    
			/*
			bFlashOn=true;
			//btnCapture.Enabled =true;
			lblRed.Text="Flash Red";
			lblBlue.Text="Flash Blue";
			lblColor.Text ="Flash Color";
			IrisUp.Text="Flash Iris Up";
			IrisDown.Text="Flash Iris Down";
			btnCapture.Text="Flash Capture";
			LivAdjustments.Text="Flash Adjustments";

			RedUpDown.Value=iFlashRedGain;
			BlueUpDown.Value=iFlashBlueGain;
			ColorUpDown.Value=iFlashColorGain;
			btnPreviewDefaults.Text="Flash Defaults";
			FlashIris_textbox.Text=Convert.ToString(FlashIrisLevel);

			SetFlashIrisString();

			btnPreviewDefaults.Text="Flash Defaults";
			*/
		}

		private void vScrollBarRedPaint_Scroll(object sender, System.Windows.Forms.ScrollEventArgs e)
		{
			int RedColorCorrection,BlueColorCorrection;
			RedColorCorrection=-(vScrollBarRedPaint.Value);
            BlueColorCorrection=-(vScrollBarBluePaint.Value);
			VALCam_Control(VC_ColorCorrectImage,RedColorCorrection,BlueColorCorrection,0,0);
			textBoxRedColorCorrection.Text=RedColorCorrection.ToString();
			VALCam_Control(VC_DisplayCapture,(int)Handle,OriginalSize.Width,0,0);
		}

		private void vScrollBarBluePaint_Scroll(object sender, System.Windows.Forms.ScrollEventArgs e)
		{
			int RedColorCorrection,BlueColorCorrection;
			BlueColorCorrection=-(vScrollBarBluePaint.Value);
			RedColorCorrection=-(vScrollBarRedPaint.Value);
			VALCam_Control(VC_ColorCorrectImage,RedColorCorrection,BlueColorCorrection,0,0);
			textBoxBlueColorCorrection.Text=BlueColorCorrection.ToString();
			VALCam_Control(VC_DisplayCapture,(int)Handle,OriginalSize.Width,0,0);
			
		}

		private void btnSaveImage_Click(object sender, System.EventArgs e)
		{
			int i;
			ImageHandle=VALCam_Control(VC_SaveCapturedImage,0,0,0,0);
			
			if ((ImageHandle==0) && (iCaptureType==0 || iCaptureType==1))//Capture type is DIB or DDB
			{
				MessageBox.Show("Error in DIB or DDB Handle");
				return;
			}
			else 
				if ((ImageHandle<1) && (iCaptureType>=2))
			{ 
				MessageBox.Show("Error #" + ImageHandle.ToString() + "in VC_SaveCapture");
				return;		
			}

			btnClear.Visible=false;		
			btnSaveImage.Visible=false;
			vScrollBarRedPaint.Enabled=false;
			vScrollBarBluePaint.Enabled=false; 
			if (iCaptureType==1) //Capture Type is DDB
			{			
				DisplayDDBOnScreen();
			}
			else
			{
				//VALCam_Control(VC_SetCropParameters,iXCropStart,iYCropStart,iHSize,iVSize); 
				
				ErrorLevel=VALCam_Control(VC_DisplayVideo,iHPos,iVPos,iHScale,iVScale);
				if (ErrorLevel<0)
			    {
				  MessageBox.Show("Error in camera system, Reinitialize camera");
		    	}
				DisplayVideoWindow.Show();
				Size=OriginalSize;//new Size(272,908);
				btnCapture.Enabled =true;
				//***************************** Free DIB memory***********************************
				if (iCaptureType==0)
					GlobalFree(ImageHandle);
					
				//********************************************************************************
			}
		
		}

		
		private void DisplayDDBOnScreen()
		{
			IntPtr DDB;	
			if (ImageHandle!=0)
			{
				
			//	VALCam_Control(VC_Freeze,0,1,0,0);
			//	DisplayVideoWindow.Visible=false;
		        
				if (radioPreviewOn.Checked==false)	
					IncreaseScreenSize();
				DDB=(IntPtr)ImageHandle;
				
				pictureBox1.Location=new Point(OriginalSize.Width,0);
				pictureBox1.Size=new Size(iHScale,iVScale);
				pictureBox1.Image=Image.FromHbitmap((IntPtr)ImageHandle);
				pictureBox1.Visible=true;
				btnClearDDB.Size=new Size(iHScale,20);
				btnClearDDB.Location=new Point(OriginalSize.Width,iVScale+2);
				btnClearDDB.Visible=true;
				btnCapture.Enabled=false;
				
			}
			
		}
		
		
		private void IncreaseScreenSize()
		{  
			int tempHeight;
			OriginalSize=Size;
			if (iVSize>OriginalSize.Height -50)
			{
				tempHeight=iVSize + 75;			
			}
			else
				tempHeight=OriginalSize.Height;		
				
			Size=new Size(Width +iHSize,tempHeight);
		}
		
		private void buttonDefaultColorCorrection_Click(object sender, System.EventArgs e)
		{
			vScrollBarRedPaint.Value=0;
			vScrollBarBluePaint.Value=0;
			VALCam_Control(VC_ColorCorrectImage,0,0,0,0);
			textBoxRedColorCorrection.Text="0";
			textBoxBlueColorCorrection.Text="0";
			VALCam_Control(VC_DisplayCapture,(int)Handle,OriginalSize.Width,0,0);
		}

		

		private void btnClearDDB_Click(object sender, System.EventArgs e)
		{
			int Error;
			btnClearDDB.Visible=false;
			pictureBox1.Visible=false;
			DeleteObject(ImageHandle);
			
			ErrorLevel=VALCam_Control(VC_DisplayVideo,iHPos,iVPos,iHScale,iVScale);
			if (ErrorLevel<0)
			{
				MessageBox.Show("Error in camera system, Reinitialize camera");
			}
			
			DisplayVideoWindow.Show();
			Size=OriginalSize;//new Size(272,908);
			btnCapture.Enabled =true;
		}

		private void radioButtonFlashOn_Click(object sender, System.EventArgs e)
		{
			bFlashOn=true;
			//btnCapture.Enabled =true;
			lblRed.Text="Flash Red";
			lblBlue.Text="Flash Blue";
		//	lblColor.Text ="Flash Color";
			IrisUp.Text="Flash Iris Up";
			IrisDown.Text="Flash Iris Down";
			btnCapture.Text="Flash Capture";
			LivAdjustments.Text="Flash Adjustments";

			RedUpDown.Value=iFlashRedGain;
			BlueUpDown.Value=iFlashBlueGain;
		//	ColorUpDown.Value=iFlashColorGain;
			btnPreviewDefaults.Text="Flash Defaults";
			FlashIris_textbox.Text=Convert.ToString(FlashIrisLevel);

			SetFlashIrisString();

			btnPreviewDefaults.Text="Flash Defaults";
		}

		private void radioButtonFlashOff_Click(object sender, System.EventArgs e)
		{
			bFlashOn=false;
			//btnCapture.Enabled =true;
			//btnCapture.Text ="Flash On";
			lblRed.Text="Live Red";
			lblBlue.Text="Live Blue";
			//lblColor.Text ="Live Color";
			IrisUp.Text="Live Iris Up";
			IrisDown.Text="Live Iris Down";
			btnCapture.Text="Live Capture";

			RedUpDown.Value=iRedGain;
			BlueUpDown.Value=iBlueGain;
		//	ColorUpDown.Value=iColorGain;
			LivAdjustments.Text="Live Adjustments";
			btnPreviewDefaults.Text="Live Defaults";
			FlashIris_textbox.Text="NA";

		
		}

        private void button2_Click(object sender, EventArgs e)
        {
            
            MessageBox.Show("Place White/Gray obect in Camera View /n Adjust Zoom and Exposure/n Click OK");
                            
            ErrorLevel=VALCam_Control(VC_AccurateAutoWhite,0,0,0,0);
			if (ErrorLevel<0)
			{
				MessageBox.Show("Error White Balance, Reinitialize camera");
			}
        }

        private void EnableControls(bool On)
        {
            if (On)
            {
                btnInitSystem.Enabled = false;
            }
            else
            {
                btnInitSystem.Enabled = true;
            }

            IrisDown.Enabled = On;
            IrisUp.Enabled = On;
            RedUpDown.Enabled = On;
            BlueUpDown.Enabled = On;
            btnAutoWhite.Enabled = On;
            btnCapture.Enabled = On;
            btnCloseCard.Enabled = On;
            btnFreeze.Enabled = On;
            btnPreviewDefaults.Enabled = On;
            btnReadZoom.Enabled = On;
            btnSetZoomPos.Enabled = On;
            btnShowVideo.Enabled = On;
            btnTurnOffVideo.Enabled = On;
            btnZoomIn.Enabled = On;
            btnZoomOut.Enabled = On;
            numericUpDownLiveSharpness.Enabled = On;


        }

        
     

      

        
        
	}
	
}


		